Last Comment Bug 692260 - Increase in network.http.max-connections appears to cause hang, requires browser restart
: Increase in network.http.max-connections appears to cause hang, requires brow...
Status: RESOLVED FIXED
[qa-]
: hang, qawanted, regression
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: 7 Branch
: x86 Windows XP
: -- critical with 2 votes (vote)
: mozilla10
Assigned To: Patrick McManus [:mcmanus]
:
: Patrick McManus [:mcmanus]
Mentors:
: 689898 691523 692262 (view as bug list)
Depends on: 648570 696989 712741
Blocks: 691523
  Show dependency treegraph
 
Reported: 2011-10-05 13:56 PDT by Jason Duell [:jduell] (needinfo me)
Modified: 2014-07-20 02:02 PDT (History)
41 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
fixed
fixed
+
fixed


Attachments
Reverts max cxns back down to 30. (1.64 KB, patch)
2011-10-05 13:56 PDT, Jason Duell [:jduell] (needinfo me)
jaas: review+
mcmanus: feedback-
asa: approval‑mozilla‑aurora+
asa: approval‑mozilla‑beta+
christian: approval‑mozilla‑release-
Details | Diff | Splinter Review
DDLs from this bug (11.89 KB, text/plain)
2011-10-06 14:31 PDT, robertcharlesrussell
no flags Details
my About:Support (2.86 KB, text/plain)
2011-10-06 14:35 PDT, robertcharlesrussell
no flags Details
My about:support page. (1.97 KB, text/plain)
2011-10-06 15:37 PDT, Chris Forbes [:chrisjf]
no flags Details
My DLLs from Process Explorer (12.71 KB, text/plain)
2011-10-06 15:38 PDT, Chris Forbes [:chrisjf]
no flags Details
DLLs running when Firefox7 hangs (8.18 KB, text/plain)
2011-10-07 01:21 PDT, trotsky76
no flags Details
DDL attachment (14.42 KB, text/plain)
2011-10-07 03:59 PDT, Shaun
no flags Details
about:support attachment (8.76 KB, text/plain)
2011-10-07 04:00 PDT, Shaun
no flags Details
dlls when firefox hangs (21.76 KB, text/plain)
2011-10-14 07:50 PDT, fifiala
no flags Details
logging output (319.57 KB, text/plain)
2011-10-17 07:54 PDT, Dave Jordan
no flags Details
More logging output (3.14 MB, text/plain)
2011-10-17 08:21 PDT, Dave Jordan
no flags Details
Log using new build (3.10 MB, text/plain)
2011-10-18 06:52 PDT, Dave Jordan
no flags Details
Updated log file (3.73 MB, text/plain)
2011-10-18 12:09 PDT, Dave Jordan
no flags Details
patch 1 (3.19 KB, patch)
2011-10-19 05:56 PDT, Patrick McManus [:mcmanus]
no flags Details | Diff | Splinter Review
patch 2 (3.21 KB, text/plain)
2011-10-19 06:18 PDT, Patrick McManus [:mcmanus]
jduell.mcbugs: review-
Details
Lower max HTTP cxns down to 48 for Windows only. (1.73 KB, patch)
2011-10-20 01:03 PDT, Jason Duell [:jduell] (needinfo me)
mcmanus: review+
asa: approval‑mozilla‑aurora+
asa: approval‑mozilla‑beta+
Details | Diff | Splinter Review
volunteers needed? (1.25 KB, text/plain)
2011-10-20 05:00 PDT, John Hesling [:John99] (NeedInfo me)
no flags Details
patch 3 (4.68 KB, patch)
2011-10-20 07:05 PDT, Patrick McManus [:mcmanus]
jduell.mcbugs: review+
Details | Diff | Splinter Review
patch 4 (9.78 KB, patch)
2011-10-24 09:09 PDT, Patrick McManus [:mcmanus]
jduell.mcbugs: review+
Details | Diff | Splinter Review
List of DLL's when Firefox hangs (16.05 KB, text/plain)
2011-11-02 01:30 PDT, erwinvaniersel@hotmail.com
no flags Details
log 1 by Jeff Quigley from reproducing this problem on XP with Firefox 13.0; see comments (2.21 MB, text/plain)
2012-06-09 11:04 PDT, Jeff Quigley
no flags Details

Description Jason Duell [:jduell] (needinfo me) 2011-10-05 13:56:29 PDT
Created attachment 564990 [details] [diff] [review]
Reverts max cxns back down to 30.

Ugh.

Increasing network.http.max-connections from 30-256 (bug 648570) seems to be causing ugly hangs for quite a few users:

  https://support.mozilla.com/en-US/questions/881844#answer-255018

112 reports already since 7 released.

Attached patch reverts max cxns back down to 30.  (Anecdotally people seem to be reporting success with up to 48: I'd rather play it safe for now).
Comment 1 Jason Duell [:jduell] (needinfo me) 2011-10-05 14:11:28 PDT
Comment on attachment 564990 [details] [diff] [review]
Reverts max cxns back down to 30.

This is a one-line prefs fix for a bug with very irritating consequences (hangs browser and/or consumes lots of CPU indefinitely) that seems to be happening with some frequency.
Comment 2 Patrick McManus [:mcmanus] 2011-10-05 15:28:43 PDT
Comment on attachment 564990 [details] [diff] [review]
Reverts max cxns back down to 30.

I think this is bad knee jerk engineering decision at this early phase in the release cycle given that noone has made any effort to investigate the issue or publically enumerate the pros and cons.

The other instance of this in bugzilla, bug 681198, was determined to be a dll problem caused by the speedbit video accelerator dll. Let's collect DLL information from other people exhibiting the problem. Maybe the blacklist is a better solution.

Reverting this change will regress pageload performance - for certain on plus.google.com and I suspect on nytimes.com and facebook.com. I've seen all of those cites shard to acheive parallelism greater than the old limit of 30.
Comment 3 Patrick McManus [:mcmanus] 2011-10-05 15:31:51 PDT
*** Bug 692262 has been marked as a duplicate of this bug. ***
Comment 4 Jason Duell [:jduell] (needinfo me) 2011-10-05 19:09:14 PDT
Fair enough--I'll hold off on landing the backout patch until we try to figure out a better way to fix this.

I've asked for help getting DLL info on the Firefox Help topic, and individually emailed all the people who've posted so far:

   https://support.mozilla.com/en-US/questions/881844#answer-257085

I also posted on the Mozillazine page on the topic (which, by the way, suggests this issue may go back to FF 6: my clunky attempt to map the hg submit date to which release got the pref change was perhaps wrong?):

http://forums.mozillazine.org/viewtopic.php?f=38&t=2321783

Hopefully we'll get enough people submitting info to figure out what's going on here.
Comment 5 Patrick McManus [:mcmanus] 2011-10-05 19:23:15 PDT
jason - awesome.

I talked abouit 681198 with :jimm at the all hands week - he's part of the windows integration team. If this is really about some interactions with other pieces on that platform maybe he has some insights on steps to follow?
Comment 6 trotsky76 2011-10-06 02:47:57 PDT
Capture dlls using Process Explorer.

You guys really need to get this fixed. You are snatching defeat from the jaws of victory

Process: firefox.exe Pid: 3048

Name	Description	Company Name	Version
advapi32.dll	Advanced Windows 32 Base API	Microsoft Corporation	5.1.2600.3520
apphelp.dll	Application Compatibility Client Library	Microsoft Corporation	5.1.2600.2180
atl.dll	ATL Module for Windows XP (Unicode)	Microsoft Corporation	3.5.2284.2
biolsp.dll	BioLsp Dynamic Link Library	Wave Systems Corp.	1.4.0.99
bnbar7.dll	Evernote Web Clipper for Mozilla Firefox	Evernote Corporation	4.0.0.1
browsercomps.dll		Mozilla Foundation	7.0.1.4288
browseui.dll	Shell Browser UI Library	Microsoft Corporation	6.0.2900.3157
cabinet.dll	Microsoft® Cabinet File API	Microsoft Corporation	5.1.2600.2180
clbcatq.dll		Microsoft Corporation	2001.12.4414.308
comctl32.dll	User Experience Controls Library	Microsoft Corporation	6.0.2900.2982
comdlg32.dll	Common Dialogs DLL	Microsoft Corporation	6.0.2900.2180
comres.dll		Microsoft Corporation	2001.12.4414.258
cookies.sqlite-shm			
crypt32.dll	Crypto API32	Microsoft Corporation	5.131.2600.2180
cryptui.dll	Microsoft Trust UI Provider	Microsoft Corporation	5.131.2600.2180
cscdll.dll	Offline Network Agent	Microsoft Corporation	5.1.2600.2180
cscui.dll	Client Side Caching UI	Microsoft Corporation	5.1.2600.2180
ctype.nls			
dadkeyb.dll			
davclnt.dll	Web DAV Client DLL	Microsoft Corporation	5.1.2600.2180
dbghelp.dll	Windows Image Helper	Microsoft Corporation	5.1.2600.2180
detoured.dll			
dnsapi.dll	DNS Client API DLL	Microsoft Corporation	5.1.2600.3394
drprov.dll	Microsoft Terminal Server Network Provider	Microsoft Corporation	5.1.2600.2180
dwhelper.jar			
enclip4.dll	Evernote clipping utilities	Evernote Corporation	3.5.0.50
ENImaDLL.dll			
feclient.dll	Windows NT File Encryption Client Interfaces	Microsoft Corporation	5.1.2600.2180
firefox.exe	Firefox	Mozilla Corporation	7.0.1.4288
freebl3.dll	NSS freebl Library	Mozilla Foundation	3.12.10.0
gdi32.dll	GDI Client DLL	Microsoft Corporation	5.1.2600.3466
GoogleDesktopCommon.dll	Google Desktop	Google	5.9.1005.12335
GoogleDesktopNetwork3.dll	Google Desktop	Google	5.9.1005.12335
GoogleDesktopResources_en_gb.dll	Google Desktop	Google	5.9.1005.12335
hccutils.dll	hccutils Module	Intel Corporation	6.14.10.4831
hnetcfg.dll	Home Networking Configuration Manager	Microsoft Corporation	5.1.2600.2180
icm32.dll	Microsoft Color Management Module (CMM)	Microsoft Corporation	5.1.2600.2709
ieframe.dll	Internet Explorer	Microsoft Corporation	7.0.6000.17055
iertutil.dll	Run time utility for Internet Explorer	Microsoft Corporation	7.0.6000.17055
imagehlp.dll	Windows NT Image Helper	Microsoft Corporation	5.1.2600.2180
imm32.dll	Windows XP IMM32 API Client DLL	Microsoft Corporation	5.1.2600.2180
index.dat			
index.dat			
index.dat			
iphlpapi.dll	IP Helper API	Microsoft Corporation	5.1.2600.2912
isreaditlater@ideashower.com.xpi			
kernel32.dll	Windows NT BASE API Client DLL	Microsoft Corporation	5.1.2600.3541
linkinfo.dll	Windows Volume Tracking	Microsoft Corporation	5.1.2600.2751
locale.nls			
lz32.dll	LZ Expand/Compress API DLL	Microsoft Corporation	5.1.2600.0
midimap.dll	Microsoft MIDI Mapper	Microsoft Corporation	5.1.2600.2180
mozalloc.dll		Mozilla Foundation	7.0.1.4288
mozcpp19.dll	User-Generated Microsoft (R) C/C++ Runtime Library	Mozilla Foundation	8.0.0.0
mozcrt19.dll	User-Generated Microsoft (R) C/C++ Runtime Library	Mozilla Foundation	8.0.0.0
mozjs.dll			
mozsqlite3.dll	SQLite Database Library	sqlite.org	3.7.5.0
mpr.dll	Multiple Provider Router DLL	Microsoft Corporation	5.1.2600.2180
msacm32.dll	Microsoft ACM Audio Filter	Microsoft Corporation	5.1.2600.2180
msacm32.drv	Microsoft Sound Mapper	Microsoft Corporation	5.1.2600.0
msasn1.dll	ASN.1 Runtime APIs	Microsoft Corporation	5.1.2600.3624
mscms.dll	Microsoft Color Matching System DLL	Microsoft Corporation	5.1.2600.3396
msctf.dll	MSCTF Server DLL	Microsoft Corporation	5.1.2600.3319
msctfime.ime	Microsoft Text Frame Work Service IME	Microsoft Corporation	5.1.2600.3531
msimg32.dll	GDIEXT Client DLL	Microsoft Corporation	5.1.2600.2180
mslbui.dll	LangageBar Add In	Microsoft Corporation	5.1.2600.2180
msvcrt.dll	Windows NT CRT DLL	Microsoft Corporation	7.0.2600.2180
mswsock.dll	Microsoft Windows Sockets 2.0 Service Provider	Microsoft Corporation	5.1.2600.3394
netapi32.dll	Net Win32 API DLL	Microsoft Corporation	5.1.2600.3462
netrap.dll	Net Remote Admin Protocol DLL	Microsoft Corporation	5.1.2600.2180
netui0.dll	NT LM UI Common Code - GUI Classes	Microsoft Corporation	5.1.2600.2180
netui1.dll	NT LM UI Common Code - Networking classes	Microsoft Corporation	5.1.2600.2180
normaliz.dll	Unicode Normalization DLL	Microsoft Corporation	6.0.5441.0
nspr4.dll	NSPR Library	Mozilla Foundation	4.8.9.0
nss3.dll	NSS Base Library	Mozilla Foundation	3.12.10.0
nssckbi.dll	NSS Builtin Trusted Root CAs	Mozilla Foundation	1.87.0.0
nssdbm3.dll	Legacy Database Driver	Mozilla Foundation	3.12.10.0
nssutil3.dll	NSS Utility Library	Mozilla Foundation	3.12.10.0
ntdll.dll	NT Layer DLL	Microsoft Corporation	5.1.2600.3520
ntlanman.dll	Microsoft® Lan Manager	Microsoft Corporation	5.1.2600.2180
ntmarta.dll	Windows NT MARTA provider	Microsoft Corporation	5.1.2600.2180
ntshrui.dll	Shell extensions for sharing	Microsoft Corporation	5.1.2600.2180
ole32.dll	Microsoft OLE for Windows	Microsoft Corporation	5.1.2600.2726
oleaut32.dll		Microsoft Corporation	5.1.2600.3266
omni.jar			
places.sqlite-shm			
plc4.dll	PLC Library	Mozilla Foundation	4.8.9.0
plds4.dll	PLDS Library	Mozilla Foundation	4.8.9.0
psapi.dll	Process Status Helper	Microsoft Corporation	5.1.2600.2180
rasadhlp.dll	Remote Access AutoDial Helper	Microsoft Corporation	5.1.2600.2938
rpcrt4.dll	Remote Procedure Call Runtime	Microsoft Corporation	5.1.2600.3555
rsaenh.dll	Microsoft Enhanced Cryptographic Provider	Microsoft Corporation	5.1.2600.2161
samlib.dll	SAM Library DLL	Microsoft Corporation	5.1.2600.2180
secur32.dll	Security Support Provider Interface	Microsoft Corporation	5.1.2600.3592
setupapi.dll	Windows Setup API	Microsoft Corporation	5.1.2600.2180
shdocvw.dll	Shell Doc Object and Control Library	Microsoft Corporation	6.0.2900.3157
shell32.dll	Windows Shell Common Dll	Microsoft Corporation	6.0.2900.3402
shkhook.dll		Insight Software Solutions	2.2.0.2
shlwapi.dll	Shell Light-weight Utility Library	Microsoft Corporation	6.0.2900.3653
smime3.dll	NSS S/MIME Library	Mozilla Foundation	3.12.10.0
SnacNp.dll	Symantec Network Provider	Symantec Corporation	11.0.5002.267
softokn3.dll	NSS PKCS #11 Library	Mozilla Foundation	3.12.10.0
sortkey.nls			
sorttbls.nls			
ssl3.dll	NSS SSL Library	Mozilla Foundation	3.12.10.0
startupCache.4.little			
t2embed.dll	Microsoft T2Embed Font Embedding	Microsoft Corporation	5.1.2600.3634
twitter.address.bar.search@firefox.twitter.xpi			
unicode.nls			
urlmon.dll	OLE32 Extensions for Win32	Microsoft Corporation	7.0.6000.17055
user32.dll	Windows XP USER API Client DLL	Microsoft Corporation	5.1.2600.3099
userenv.dll	Userenv	Microsoft Corporation	5.1.2600.2180
usp10.dll	Uniscribe Unicode script processor	Microsoft Corporation	1.420.2600.2180
uxtheme.dll	Microsoft UxTheme Library	Microsoft Corporation	6.0.2900.2180
version.dll	Version Checking and File Installation Libraries	Microsoft Corporation	5.1.2600.2180
wdmaud.drv	WDM Audio driver mapper	Microsoft Corporation	5.1.2600.2180
wininet.dll	Internet Extensions for Win32	Microsoft Corporation	7.0.6000.17055
winmm.dll	MCI API DLL	Microsoft Corporation	5.1.2600.2180
winrnr.dll	LDAP RnR Provider DLL	Microsoft Corporation	5.1.2600.2180
winspool.drv	Windows Spooler Driver	Microsoft Corporation	5.1.2600.2180
wintrust.dll	Microsoft Trust Verification APIs	Microsoft Corporation	5.131.2600.3661
wldap32.dll	Win32 LDAP API DLL	Microsoft Corporation	5.1.2600.2180
ws2_32.dll	Windows Socket 2.0 32-Bit DLL	Microsoft Corporation	5.1.2600.2180
ws2help.dll	Windows Socket 2.0 Helper for Windows NT	Microsoft Corporation	5.1.2600.2180
wshtcpip.dll	Windows Sockets Helper DLL	Microsoft Corporation	5.1.2600.2180
wsock32.dll	Windows Socket 32-Bit DLL	Microsoft Corporation	5.1.2600.2180
wuapi.dll	Windows Update Client API	Microsoft Corporation	7.4.7600.226
wxvault.dll	wxvault Dynamic Link Library		5.6.0.3
xpcom.dll		Mozilla Foundation	7.0.1.4288
xpsp2res.dll	Service Pack 2 Messages	Microsoft Corporation	5.1.2600.2180
xul.dll		Mozilla Foundation	7.0.1.4288
Comment 7 Dave Jordan 2011-10-06 08:57:29 PDT
Process explorer output from hanging 7.0.1 on Win XP:

Process	PID	CPU	Description	Company Name
System Idle Process	0	35.14		
System	4			
 Interrupts	n/a	< 0.01	Hardware Interrupts and DPCs	
 smss.exe	1292		Windows NT Session Manager	Microsoft Corporation
  csrss.exe	1376		Client Server Runtime Process	Microsoft Corporation
  winlogon.exe	1400		Windows NT Logon Application	Microsoft Corporation
explorer.exe	3460		Windows Explorer	Microsoft Corporation
 dthtml.exe	3904		forteManager(TM)	Portrait Displays, Inc
  HookManager.exe	2636		Context Menu Utility	Portrait Displays Inc.
 NILaunch.exe	3688			
 VProTray.exe	3084		Tray Application	Symantec Corporation
 OpWareSE4.exe	3988		OCR Aware	Nuance Communications, Inc.
 WrtMon.exe	3884		NsWrtMon Microsoft Base Class Application	
  WrtProc.exe	244		NsWrtProc Microsoft Base Clase Application	
 VCDDaemon.exe	4068		Virtual CloneDrive Daemon	Elaborate Bytes AG
 RTHDCPL.exe	4080		Realtek HD Audio Control Panel	Realtek Semiconductor Corp.
  ALCFDRTM.EXE	2104		ALCFDRTM	Realtek Semiconductor Corp.
 GamerOSD.exe	236		ASUS GamerOSD APP	ASUSTeK Computer Inc.
 LWS.exe	256		Camera Software	Logitech Inc.
 rundll32.exe	1016		Run a DLL as an App	Microsoft Corporation
 jusched.exe	3304		Java(TM) Update Scheduler	Sun Microsystems, Inc.
 TWCU.exe	3320			
 ctfmon.exe	372		CTF Loader	Microsoft Corporation
 uGuru.exe	3628		abit uGuru Application	abit Computer Corporation
 GarminLifetime.exe	3204		Garmin Lifetime Updater	Garmin
 ComcastSecureBackupSharestat.exe	2176		Secure Backup and Share Status Application	Secure Backup and Share
 TaskbarActivate.exe	2388		Enhanced activation of the taskbar	Pierre-Marie DEVIGNE
 Eudora.exe	3596		EUDORA	QUALCOMM Incorporated
 soffice.exe	10348		OpenOffice.org 3.3	OpenOffice.org
  soffice.bin	9320		OpenOffice.org 3.3	OpenOffice.org
 firefox.exe	10412	63.51	Firefox	Mozilla Corporation
  plugin-container.exe	4428		Plugin Container for Firefox	Mozilla Corporation
  plugin-container.exe	848		Plugin Container for Firefox	Mozilla Corporation
   AcroRd32.exe	10844		Adobe Reader 	Adobe Systems Incorporated
    AcroRd32.exe	4512		Adobe Reader 	Adobe Systems Incorporated
  plugin-container.exe	9604		Plugin Container for Firefox	Mozilla Corporation
   googletalkplugin.exe	6904		Google Talk Plugin	Google
  AcroRd32.exe	2568		Adobe Reader 	Adobe Systems Incorporated
   AcroRd32.exe	3380		Adobe Reader 	Adobe Systems Incorporated
  plugin-container.exe	5124		Plugin Container for Firefox	Mozilla Corporation
 procexp.exe	3672	1.35	Sysinternals Process Explorer	Sysinternals - www.sysinternals.com
realsched.exe	6624		RealNetworks Scheduler	RealNetworks, Inc.

Process: firefox.exe Pid: 10412

Name	Description	Company Name	Version
{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}.xpi			
activeds.dll	ADs Router Layer DLL	Microsoft Corporation	5.1.2600.5512
adsldpc.dll	ADs LDAP Provider C DLL	Microsoft Corporation	5.1.2600.5512
advapi32.dll	Advanced Windows 32 Base API	Microsoft Corporation	5.1.2600.5755
apphelp.dll	Application Compatibility Client Library	Microsoft Corporation	5.1.2600.5512
atl.dll	ATL Module for Windows XP (Unicode)	Microsoft Corporation	3.5.2284.2
browsercomps.dll		Mozilla Foundation	7.0.1.4288
cabinet.dll	Microsoft® Cabinet File API	Microsoft Corporation	5.1.2600.5512
clbcatq.dll		Microsoft Corporation	2001.12.4414.700
comctl32.dll	User Experience Controls Library	Microsoft Corporation	6.0.2900.6028
comdlg32.dll	Common Dialogs DLL	Microsoft Corporation	6.0.2900.5512
comres.dll		Microsoft Corporation	2001.12.4414.700
cookies.sqlite-shm			
credui.dll	Credential Manager User Interface	Microsoft Corporation	5.1.2600.5512
crypt32.dll	Crypto API32	Microsoft Corporation	5.131.2600.5512
cryptdll.dll	Cryptography Manager	Microsoft Corporation	5.1.2600.5512
cryptui.dll	Microsoft Trust UI Provider	Microsoft Corporation	5.131.2600.5512
cscdll.dll	Offline Network Agent	Microsoft Corporation	5.1.2600.5512
cscui.dll	Client Side Caching UI	Microsoft Corporation	5.1.2600.5512
ctype.nls			
d3d8thk.dll	Microsoft Direct3D OS Thunk Layer	Microsoft Corporation	5.3.2600.5512
d3d9.dll	Microsoft Direct3D	Microsoft Corporation	5.3.2600.5512
dbghelp.dll	Windows Image Helper	Microsoft Corporation	5.1.2600.5512
dhcpcsvc.dll	DHCP Client Service	Microsoft Corporation	5.1.2600.5512
dnsapi.dll	DNS Client API DLL	Microsoft Corporation	5.1.2600.5625
dot3api.dll	802.3 Autoconfiguration API	Microsoft Corporation	5.1.2600.5512
dot3dlg.dll	802.3 UI Helper	Microsoft Corporation	5.1.2600.5512
eapolqec.dll	Microsoft EAPOL NAP Enforcement Client	Microsoft Corporation	5.1.2600.5512
eappcfg.dll	Eap Peer Config	Microsoft Corporation	5.1.2600.5512
eappprxy.dll	Microsoft EAPHost Peer Client DLL	Microsoft Corporation	5.1.2600.5512
esent.dll	Server Database Storage Engine	Microsoft Corporation	5.1.2600.5512
EuShlExt.dll	Eudora's Shell Extension	Qualcomm Inc.	1.0.1.1
feclient.dll	Windows NT File Encryption Client Interfaces	Microsoft Corporation	5.1.2600.5512
firefox.exe	Firefox	Mozilla Corporation	7.0.1.4288
freebl3.dll	NSS freebl Library	Mozilla Foundation	3.12.10.0
gdi32.dll	GDI Client DLL	Microsoft Corporation	5.1.2600.5698
hnetcfg.dll	Home Networking Configuration Manager	Microsoft Corporation	5.1.2600.5512
icm32.dll	Microsoft Color Management Module (CMM)	Microsoft Corporation	5.1.2600.5512
iertutil.dll	Run time utility for Internet Explorer	Microsoft Corporation	8.0.6001.18968
imagehlp.dll	Windows NT Image Helper	Microsoft Corporation	5.1.2600.5512
imm32.dll	Windows XP IMM32 API Client DLL	Microsoft Corporation	5.1.2600.5512
index.dat			
index.dat			
index.dat			
index.dat			
iphlpapi.dll	IP Helper API	Microsoft Corporation	5.1.2600.5512
kernel32.dll	Windows NT BASE API Client DLL	Microsoft Corporation	5.1.2600.5781
locale.nls			
lz32.dll	LZ Expand/Compress API DLL	Microsoft Corporation	5.1.2600.0
midimap.dll	Microsoft MIDI Mapper	Microsoft Corporation	5.1.2600.5512
mozalloc.dll		Mozilla Foundation	7.0.1.4288
mozcpp19.dll	User-Generated Microsoft (R) C/C++ Runtime Library	Mozilla Foundation	8.0.0.0
mozcrt19.dll	User-Generated Microsoft (R) C/C++ Runtime Library	Mozilla Foundation	8.0.0.0
mozjs.dll			
mozsqlite3.dll	SQLite Database Library	sqlite.org	3.7.5.0
mpr.dll	Multiple Provider Router DLL	Microsoft Corporation	5.1.2600.5512
mprapi.dll	Windows NT MP Router Administration DLL	Microsoft Corporation	5.1.2600.5512
msacm32.dll	Microsoft ACM Audio Filter	Microsoft Corporation	5.1.2600.5512
msacm32.drv	Microsoft Sound Mapper	Microsoft Corporation	5.1.2600.0
msasn1.dll	ASN.1 Runtime APIs	Microsoft Corporation	5.1.2600.5875
mscms.dll	Microsoft Color Matching System DLL	Microsoft Corporation	5.1.2600.5627
msctf.dll	MSCTF Server DLL	Microsoft Corporation	5.1.2600.5512
msctfime.ime	Microsoft Text Frame Work Service IME	Microsoft Corporation	5.1.2600.5512
msimg32.dll	GDIEXT Client DLL	Microsoft Corporation	5.1.2600.5512
MsnlNamespaceMgr.dll	Windows Search Namespace Manager	Microsoft Corporation	7.0.6001.18260
msv1_0.dll	Microsoft Authentication Package v1.0	Microsoft Corporation	5.1.2600.5876
msvcp60.dll	Microsoft (R) C++ Runtime Library	Microsoft Corporation	6.2.3104.0
msvcrt.dll	Windows NT CRT DLL	Microsoft Corporation	7.0.2600.5512
mswsock.dll	Microsoft Windows Sockets 2.0 Service Provider	Microsoft Corporation	5.1.2600.5625
netapi32.dll	Net Win32 API DLL	Microsoft Corporation	5.1.2600.5694
netman.dll	Network Connections Manager	Microsoft Corporation	5.1.2600.5512
netshell.dll	Network Connections Shell	Microsoft Corporation	5.1.2600.5512
normaliz.dll	Unicode Normalization DLL	Microsoft Corporation	6.0.5441.0
nspr4.dll	NSPR Library	Mozilla Foundation	4.8.9.0
nss3.dll	NSS Base Library	Mozilla Foundation	3.12.10.0
nssckbi.dll	NSS Builtin Trusted Root CAs	Mozilla Foundation	1.87.0.0
nssdbm3.dll	Legacy Database Driver	Mozilla Foundation	3.12.10.0
nssutil3.dll	NSS Utility Library	Mozilla Foundation	3.12.10.0
ntdll.dll	NT Layer DLL	Microsoft Corporation	5.1.2600.5755
ntmarta.dll	Windows NT MARTA provider	Microsoft Corporation	5.1.2600.5512
ole32.dll	Microsoft OLE for Windows	Microsoft Corporation	5.1.2600.6010
oleaut32.dll		Microsoft Corporation	5.1.2600.5512
omni.jar			
onex.dll	IEEE 802.1X supplicant library	Microsoft Corporation	5.1.2600.5512
OpHookSE4.dll	OCR Aware Hook (32-bit)	Nuance Communications, Inc.	15.2.6606.1
places.sqlite-shm			
plc4.dll	PLC Library	Mozilla Foundation	4.8.9.0
plds4.dll	PLDS Library	Mozilla Foundation	4.8.9.0
psapi.dll	Process Status Helper	Microsoft Corporation	5.1.2600.5512
qutil.dll	Quarantine Utilities	Microsoft Corporation	5.1.2600.5512
rasadhlp.dll	Remote Access AutoDial Helper	Microsoft Corporation	5.1.2600.5512
rasapi32.dll	Remote Access API	Microsoft Corporation	5.1.2600.5512
rasman.dll	Remote Access Connection Manager	Microsoft Corporation	5.1.2600.5512
rpcrt4.dll	Remote Procedure Call Runtime	Microsoft Corporation	5.1.2600.6022
rsaenh.dll	Microsoft Enhanced Cryptographic Provider	Microsoft Corporation	5.1.2600.5507
rtutils.dll	Routing Utilities	Microsoft Corporation	5.1.2600.5512
samlib.dll	SAM Library DLL	Microsoft Corporation	5.1.2600.5512
SASSEH.DLL	ShellExecuteHook	SuperAdBlocker.com	1.0.0.1012
secur32.dll	Security Support Provider Interface	Microsoft Corporation	5.1.2600.5834
sensapi.dll	SENS Connectivity API DLL	Microsoft Corporation	5.1.2600.5512
setupapi.dll	Windows Setup API	Microsoft Corporation	5.1.2600.5512
shdocvw.dll	Shell Doc Object and Control Library	Microsoft Corporation	6.0.2900.5512
shell32.dll	Windows Shell Common Dll	Microsoft Corporation	6.0.2900.6018
shlwapi.dll	Shell Light-weight Utility Library	Microsoft Corporation	6.0.2900.5912
smime3.dll	NSS S/MIME Library	Mozilla Foundation	3.12.10.0
softokn3.dll	NSS PKCS #11 Library	Mozilla Foundation	3.12.10.0
sortkey.nls			
sorttbls.nls			
ssl3.dll	NSS SSL Library	Mozilla Foundation	3.12.10.0
startupCache.4.little			
t2embed.dll	Microsoft T2Embed Font Embedding	Microsoft Corporation	5.1.2600.6031
tapi32.dll	Microsoft® Windows(TM) Telephony API Client DLL	Microsoft Corporation	5.1.2600.5512
unicode.nls			
urlmon.dll	OLE32 Extensions for Win32	Microsoft Corporation	8.0.6001.18968
user32.dll	Windows XP USER API Client DLL	Microsoft Corporation	5.1.2600.5512
userenv.dll	Userenv	Microsoft Corporation	5.1.2600.5512
usp10.dll	Uniscribe Unicode script processor	Microsoft Corporation	1.420.2600.5969
uxtheme.dll	Microsoft UxTheme Library	Microsoft Corporation	6.0.2900.5512
version.dll	Version Checking and File Installation Libraries	Microsoft Corporation	5.1.2600.5512
wdmaud.drv	WDM Audio driver mapper	Microsoft Corporation	5.1.2600.5512
wininet.dll	Internet Extensions for Win32	Microsoft Corporation	8.0.6001.18968
winmm.dll	MCI API DLL	Microsoft Corporation	5.1.2600.5512
winrnr.dll	LDAP RnR Provider DLL	Microsoft Corporation	5.1.2600.5512
winspool.drv	Windows Spooler Driver	Microsoft Corporation	5.1.2600.5512
winsta.dll	Winstation Library	Microsoft Corporation	5.1.2600.5512
wintrust.dll	Microsoft Trust Verification APIs	Microsoft Corporation	5.131.2600.5922
wldap32.dll	Win32 LDAP API DLL	Microsoft Corporation	5.1.2600.5512
wmi.dll	WMI DC and DP functionality	Microsoft Corporation	5.1.2600.5512
ws2_32.dll	Windows Socket 2.0 32-Bit DLL	Microsoft Corporation	5.1.2600.5512
ws2help.dll	Windows Socket 2.0 Helper for Windows NT	Microsoft Corporation	5.1.2600.5512
ws2lspx.dll	WS2LSPX	XueBrothers	4.0.0.1
wshtcpip.dll	Windows Sockets Helper DLL	Microsoft Corporation	5.1.2600.5512
wsock32.dll	Windows Socket 32-Bit DLL	Microsoft Corporation	5.1.2600.5512
wtsapi32.dll	Windows Terminal Server SDK APIs	Microsoft Corporation	5.1.2600.5512
wuapi.dll	Windows Update Client API	Microsoft Corporation	7.4.7600.226
wzcsapi.dll	Wireless Zero Configuration service API	Microsoft Corporation	5.1.2600.5512
wzcsvc.dll	Wireless Zero Configuration Service	Microsoft Corporation	5.1.2600.5512
xpcom.dll		Mozilla Foundation	7.0.1.4288
xpsp2res.dll	Service Pack 2 Messages	Microsoft Corporation	5.1.2600.5512
xul.dll		Mozilla Foundation	7.0.1.4288
Comment 8 Jim Mathies [:jimm] 2011-10-06 09:48:02 PDT

There doesn't appear to be anything definitive in the feedback we've received indicating this setting is the cause. Altering the number of connections may just be masking the real bug. 

We really need to nail down STR. For anyone running into this - please post your about:support data. If you can reproduce this easily, post the steps. An http log showing the problem would be a huge help as well -

https://developer.mozilla.org/en/HTTP_Logging
Comment 9 Dave Jordan 2011-10-06 10:01:33 PDT
OK.  Here's about:support, followed by about:plugins and about:buildconfig:

=================================================================================

  Application Basics

        Name
        Firefox

        Version
        7.0.1

        User Agent
        Mozilla/5.0 (Windows NT 5.1; rv:7.0.1) Gecko/20100101 Firefox/7.0.1

        Profile Directory

          Open Containing Folder

        Enabled Plugins

          about:plugins

        Build Configuration

          about:buildconfig

  Extensions

        Name

        Version

        Enabled

        ID

        Adblock Plus
        1.3.10
        true
        {d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}

        FoxLingo
        2.7.2
        true
        {ef62e1ce-d2a4-4cdd-b7ec-92b120366b66}

        Garmin Communicator
        3.0.1
        true
        {195A3098-0BD5-4e90-AE22-BA1C540AFD1E}

        Java Quick Starter
        1.0
        true
        jqs@sun.com

        Microsoft .NET Framework Assistant
        0.0.0
        true
        {20a82645-c095-46ed-80e3-08825760534b}

        Adobe DLM (powered by getPlus(R))
        1.6.2.63
        false
        {E2883E8F-472F-4fb0-9522-AC9BF37916A7}

        DivX HiQ
        2.1.1.94
        false
        {6904342A-8307-11DF-A508-4AE2DFD72085}

        DivX Plus Web Player HTML5 <video>
        2.1.1.94
        false
        {23fcfd51-4958-4f00-80a3-ae97e717ed8b}

        Java Console
        6.0.21
        false
        {CAFEEFAC-0016-0000-0021-ABCDEFFEDCBA}

        Java Console
        6.0.22
        false
        {CAFEEFAC-0016-0000-0022-ABCDEFFEDCBA}

        Java Console
        6.0.23
        false
        {CAFEEFAC-0016-0000-0023-ABCDEFFEDCBA}

        Java Console
        6.0.24
        false
        {CAFEEFAC-0016-0000-0024-ABCDEFFEDCBA}

        Java Console
        6.0.26
        false
        {CAFEEFAC-0016-0000-0026-ABCDEFFEDCBA}

        RealPlayer Browser Record Plugin
        14.0.3
        false
        {ABDE892B-13A8-4d1b-88E6-365A6E755758}

  Modified Preferences

      Name

      Value

        accessibility.typeaheadfind.flashBar
        0

        browser.history_expire_days.mirror
        180

        browser.history_expire_days_min
        30

        browser.places.importDefaults
        false

        browser.places.migratePostDataAnnotations
        false

        browser.places.smartBookmarksVersion
        2

        browser.places.updateRecentTagsUri
        false

        browser.startup.homepage
        file:///C:/temp/DavesBookmarks1.html

        browser.startup.homepage_override.buildID
        20110928134238

        browser.startup.homepage_override.mstone
        rv:7.0.1

        browser.tabs.warnOnClose
        false

        extensions.lastAppVersion
        7.0.1

        network.cookie.prefsMigrated
        true

        places.database.lastMaintenance
        1317917772

        places.history.expiration.transient_current_max_pages
        96586

        places.last_vacuum
        1297444316

        print.print_printer
        Brother HL-2040 series

        print.printer_Brother_HL-2040_series.print_bgcolor
        false

        print.printer_Brother_HL-2040_series.print_bgimages
        false

        print.printer_Brother_HL-2040_series.print_command

        print.printer_Brother_HL-2040_series.print_downloadfonts
        false

        print.printer_Brother_HL-2040_series.print_edge_bottom
        0

        print.printer_Brother_HL-2040_series.print_edge_left
        0

        print.printer_Brother_HL-2040_series.print_edge_right
        0

        print.printer_Brother_HL-2040_series.print_edge_top
        0

        print.printer_Brother_HL-2040_series.print_evenpages
        true

        print.printer_Brother_HL-2040_series.print_footercenter

        print.printer_Brother_HL-2040_series.print_footerleft

        print.printer_Brother_HL-2040_series.print_footerright

        print.printer_Brother_HL-2040_series.print_headercenter

        print.printer_Brother_HL-2040_series.print_headerleft

        print.printer_Brother_HL-2040_series.print_headerright

        print.printer_Brother_HL-2040_series.print_in_color
        true

        print.printer_Brother_HL-2040_series.print_margin_bottom
        0.300000011920929

        print.printer_Brother_HL-2040_series.print_margin_left
        0.5

        print.printer_Brother_HL-2040_series.print_margin_right
        0.5

        print.printer_Brother_HL-2040_series.print_margin_top
        0.300000011920929

        print.printer_Brother_HL-2040_series.print_oddpages
        true

        print.printer_Brother_HL-2040_series.print_orientation
        0

        print.printer_Brother_HL-2040_series.print_page_delay
        50

        print.printer_Brother_HL-2040_series.print_pagedelay
        500

        print.printer_Brother_HL-2040_series.print_paper_data
        1

        print.printer_Brother_HL-2040_series.print_paper_height
        11.00

        print.printer_Brother_HL-2040_series.print_paper_size_type
        0

        print.printer_Brother_HL-2040_series.print_paper_size_unit
        0

        print.printer_Brother_HL-2040_series.print_paper_width
        8.50

        print.printer_Brother_HL-2040_series.print_reversed
        false

        print.printer_Brother_HL-2040_series.print_scaling
        1.50

        print.printer_Brother_HL-2040_series.print_shrink_to_fit
        true

        print.printer_Brother_HL-2040_series.print_to_file
        false

        print.printer_Brother_HL-2040_series.print_unwriteable_margin_bottom
        0

        print.printer_Brother_HL-2040_series.print_unwriteable_margin_left
        0

        print.printer_Brother_HL-2040_series.print_unwriteable_margin_right
        0

        print.printer_Brother_HL-2040_series.print_unwriteable_margin_top
        0

        privacy.cpd.cookies
        false

        privacy.cpd.downloads
        false

        privacy.cpd.formdata
        false

        privacy.cpd.history
        false

        privacy.cpd.sessions
        false

        privacy.sanitize.migrateFx3Prefs
        true

        privacy.sanitize.timeSpan
        0

        security.warn_viewing_mixed
        false

  Graphics

        Adapter Description
        NVIDIA GeForce 9400 GT

        Vendor ID
        10de

        Device ID
        065b

        Adapter RAM
        Unknown

        Adapter Drivers
        nv4_disp

        Driver Version
        6.14.12.6099

        Driver Date
        10-16-2010

        WebGL Renderer
        Google Inc. -- ANGLE -- OpenGL ES 2.0 (ANGLE 0.0.0.686)

        GPU Accelerated Windows
        1/1 Direct3D 9

==================================================================================

Enabled plugins
Find more information about browser plugins at mozilla.org.
Find updates for installed plugins at mozilla.com/plugincheck.
Help for installing plugins is available from plugindoc.mozdev.org.
Google Update

    File: npGoogleUpdate3.dll
    Version: 1.3.21.69
    Google Update

MIME Type 	Description 	Suffixes
application/x-vnd.google.update3webcontrol.3 		
application/x-vnd.google.oneclickctrl.9 		
Google Updater

    File: npCIDetect14.dll
    Version: 2.4.2432.1652
    Google Updater plugin
    http://pack.google.com/

MIME Type 	Description 	Suffixes
application/x-vnd.google.cominstctrl.14 		rts
Google Talk Plugin

    File: npgoogletalk.dll
    Version: 2.3.2.0
    Version 2.3.2.0

MIME Type 	Description 	Suffixes
application/googletalk 	Google voice and video chat 	googletalk
Google Talk Plugin Video Accelerator

    File: npgtpo3dautoplugin.dll
    Version: 0.1.44.11
    Google Talk Plugin Video Accelerator version:0.1.44.11

MIME Type 	Description 	Suffixes
application/vnd.gtpo3d.auto 		
Adobe Acrobat

    File: nppdf32.dll
    Version: 10.1.1.33
    Adobe PDF Plug-In For Firefox and Netscape 10.1.1

MIME Type 	Description 	Suffixes
application/pdf 	Acrobat Portable Document Format 	pdf
application/vnd.adobe.pdfxml 	Adobe PDF in XML Format 	pdfxml
application/vnd.adobe.x-mars 	Adobe PDF in XML Format 	mars
application/vnd.fdf 	Acrobat Forms Data Format 	fdf
application/vnd.adobe.xfdf 	XML Version of Acrobat Forms Data Format 	xfdf
application/vnd.adobe.xdp+xml 	Acrobat XML Data Package 	xdp
application/vnd.adobe.xfd+xml 	Adobe FormFlow99 Data File 	xfd
Shockwave Flash

    File: NPSWF32.dll
    Version: 10.3.183.7
    Shockwave Flash 10.3 r183

MIME Type 	Description 	Suffixes
application/x-shockwave-flash 	Adobe Flash movie 	swf
application/futuresplash 	FutureSplash movie 	spl
Garmin Communicator Plug-In

    File: npGarmin.dll
    Version: 3.0.1.0
    Garmin Communicator Plug-In 3.0.1.0

MIME Type 	Description 	Suffixes
application/vnd-garmin.mygarmin 	Garmin Device Web Control 	mygarmin
RealJukebox NS Plugin

    File: nprjplug.dll
    Version: 12.0.1.647
    RealJukebox Netscape Plugin

MIME Type 	Description 	Suffixes
none 	RealJukebox NS Plugin File 	none
RealNetworks(tm) RealPlayer Chrome Background Extension Plug-In (32-bit)

    File: nprpchromebrowserrecordext.dll
    Version: 12.0.1.652
    RealNetworks(tm) RealPlayer Chrome Background Extension Plug-In

MIME Type 	Description 	Suffixes
application/x-rn-rpchromebgext-plugin 	RealNetworks(tm) RealPlayer Chrome Background Extension Plug-In 	rpe
RealPlayer(tm) HTML5VideoShim Plug-In (32-bit)

    File: nprphtml5videoshim.dll
    Version: 12.0.1.652
    RealPlayer(tm) HTML5VideoShim Plug-In

MIME Type 	Description 	Suffixes
application/x-rp-html5videoshim-plugin 	RealPlayer(tm) HTML5VideoShim Plug-In 	rh5
RealPlayer(tm) G2 LiveConnect-Enabled Plug-In (32-bit)

    File: nppl3260.dll
    Version: 12.0.1.647
    RealPlayer(tm) LiveConnect-Enabled Plug-In

MIME Type 	Description 	Suffixes
audio/x-pn-realaudio-plugin 	RealPlayer(tm) as Plug-in 	rpm
RealPlayer Version Plugin

    File: nprpjplug.dll
    Version: 12.0.1.647
    12.0.1.647

MIME Type 	Description 	Suffixes
application/vnd.rn-realplayer-javascript 	RealPlayer Version Plugin 	rpj
QuickTime Plug-in 7.6.9

    File: npqtplugin7.dll
    Version: 7.6.9.0
    The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

MIME Type 	Description 	Suffixes
image/jp2 	JPEG2000 image 	jp2
image/jpeg2000 	JPEG2000 image 	jp2
image/jpeg2000-image 	JPEG2000 image 	jp2
image/x-jpeg2000-image 	JPEG2000 image 	jp2
QuickTime Plug-in 7.6.9

    File: npqtplugin6.dll
    Version: 7.6.9.0
    The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

MIME Type 	Description 	Suffixes
video/x-m4v 	Video (protected) 	m4v
image/x-macpaint 	MacPaint image 	pntg,pnt,mac
image/pict 	PICT image 	pict,pic,pct
image/x-pict 	PICT image 	pict,pic,pct
image/png 	PNG image 	png
image/x-png 	PNG image 	png
image/x-quicktime 	QuickTime image 	qtif,qti
image/x-sgi 	SGI image 	sgi,rgb
image/x-targa 	TGA image 	targa,tga
QuickTime Plug-in 7.6.9

    File: npqtplugin5.dll
    Version: 7.6.9.0
    The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

MIME Type 	Description 	Suffixes
audio/3gpp 	3GPP media 	3gp,3gpp
video/3gpp2 	3GPP2 media 	3g2,3gp2
audio/3gpp2 	3GPP2 media 	3g2,3gp2
video/sd-video 	SD video 	sdv
application/x-mpeg 	AMC media 	amc
video/mp4 	MPEG-4 media 	mp4
audio/mp4 	MPEG-4 media 	mp4
audio/x-m4a 	AAC audio 	m4a
audio/x-m4p 	AAC audio (protected) 	m4p
audio/x-m4b 	AAC audio book 	m4b
QuickTime Plug-in 7.6.9

    File: npqtplugin4.dll
    Version: 7.6.9.0
    The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

MIME Type 	Description 	Suffixes
video/mpeg 	MPEG media 	mpeg,mpg,m1s,m1v,m1a,m75,m15,mp2,mpm,mpv,mpa
audio/mpeg 	MPEG audio 	mpeg,mpg,m1s,m1a,mp2,mpm,mpa,m2a
audio/x-mpeg 	MPEG audio 	mpeg,mpg,m1s,m1a,mp2,mpm,mpa,m2a
video/3gpp 	3GPP media 	3gp,3gpp
QuickTime Plug-in 7.6.9

    File: npqtplugin3.dll
    Version: 7.6.9.0
    The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

MIME Type 	Description 	Suffixes
audio/x-gsm 	GSM audio 	gsm
audio/AMR 	AMR audio 	AMR
audio/aac 	AAC audio 	aac,adts
audio/x-aac 	AAC audio 	aac,adts
audio/x-caf 	CAF audio 	caf
audio/ac3 	AC3 audio 	ac3
audio/x-ac3 	AC3 audio 	ac3
video/x-mpeg 	MPEG media 	mpeg,mpg,m1s,m1v,m1a,m75,m15,mp2,mpm,mpv,mpa
QuickTime Plug-in 7.6.9

    File: npqtplugin2.dll
    Version: 7.6.9.0
    The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

MIME Type 	Description 	Suffixes
audio/aiff 	AIFF audio 	aiff,aif,aifc,cdda
audio/x-aiff 	AIFF audio 	aiff,aif,aifc,cdda
audio/basic 	uLaw/AU audio 	au,snd,ulw
audio/mid 	MIDI 	mid,midi,smf,kar
audio/x-midi 	MIDI 	mid,midi,smf,kar
audio/midi 	MIDI 	mid,midi,smf,kar
audio/vnd.qcelp 	QUALCOMM PureVoice audio 	qcp
QuickTime Plug-in 7.6.9

    File: npqtplugin.dll
    Version: 7.6.9.0
    The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

MIME Type 	Description 	Suffixes
application/sdp 	SDP stream descriptor 	sdp
application/x-sdp 	SDP stream descriptor 	sdp
application/x-rtsp 	RTSP stream descriptor 	rtsp,rts
video/quicktime 	QuickTime Movie 	mov,qt,mqv
video/flc 	AutoDesk Animator (FLC) 	flc,fli,cel
audio/x-wav 	WAVE audio 	wav,bwf
audio/wav 	WAVE audio 	wav,bwf
Silverlight Plug-In

    File: npctrl.dll
    Version: 4.0.60531.0
    4.0.60531.0

MIME Type 	Description 	Suffixes
application/x-silverlight 	npctrl 	scr
application/x-silverlight-2 		
Google Earth Plugin

    File: npgeplugin.dll
    Version: 1.0.0.1
    GEPlugin

MIME Type 	Description 	Suffixes
application/geplugin 	GEPlugin 	
Java Deployment Toolkit 6.0.260.3

    File: npdeployJava1.dll
    Version: 6.0.260.3
    NPRuntime Script Plug-in Library for Java(TM) Deploy

MIME Type 	Description 	Suffixes
application/java-deployment-toolkit 		
Java(TM) Platform SE 6 U26

    File: npjp2.dll
    Version: 6.0.260.3
    Next Generation Java Plug-in 1.6.0_26 for Mozilla browsers

MIME Type 	Description 	Suffixes
application/x-java-applet 	Java Applet 	
application/x-java-bean 	JavaBeans 	
application/x-java-vm 		
application/x-java-applet;version=1.1.1 		
application/x-java-bean;version=1.1.1 		
application/x-java-applet;version=1.1 		
application/x-java-bean;version=1.1 		
application/x-java-applet;version=1.2 		
application/x-java-bean;version=1.2 		
application/x-java-applet;version=1.1.3 		
application/x-java-bean;version=1.1.3 		
application/x-java-applet;version=1.1.2 		
application/x-java-bean;version=1.1.2 		
application/x-java-applet;version=1.3 		
application/x-java-bean;version=1.3 		
application/x-java-applet;version=1.2.2 		
application/x-java-bean;version=1.2.2 		
application/x-java-applet;version=1.2.1 		
application/x-java-bean;version=1.2.1 		
application/x-java-applet;version=1.3.1 		
application/x-java-bean;version=1.3.1 		
application/x-java-applet;version=1.4 		
application/x-java-bean;version=1.4 		
application/x-java-applet;version=1.4.1 		
application/x-java-bean;version=1.4.1 		
application/x-java-applet;version=1.4.2 		
application/x-java-bean;version=1.4.2 		
application/x-java-applet;version=1.5 		
application/x-java-bean;version=1.5 		
application/x-java-applet;version=1.6 		
application/x-java-bean;version=1.6 		
application/x-java-applet;jpi-version=1.6.0_26 		
application/x-java-bean;jpi-version=1.6.0_26 		
DivX Web Player

    File: npdivx32.dll
    Version: 2.1.1.94
    DivX Web Player version 2.1.1.94

MIME Type 	Description 	Suffixes
video/divx 	DivX Video Files 	divx,div
DivX VOD Helper Plug-in

    File: npovshelper.dll
    Version: 1.0.0.363
    DivX VOD Helper Plug-in

MIME Type 	Description 	Suffixes
application/x-divxovshelper 		
Shockwave for Director

    File: np32dsw.dll
    Version: 11.5.7.609
    Adobe Shockwave for Director Netscape plug-in, version 11.5

MIME Type 	Description 	Suffixes
application/x-director 	Shockwave Movie 	dir,dxr,dcr
getPlusPlus for Adobe 16263

    File: np_gp.dll
    Version: 1.6.2.63
    getplusplusadobe16263

MIME Type 	Description 	Suffixes
application/getplusplusadobe16263 	getplusplusadobe16263 	
Autodesk Design Review Firefox Add-on v1.1

    File: npADRdwf.dll
    Version: 1.1.0.0
    Autodesk Design Review Firefox Add-on v1.1

MIME Type 	Description 	Suffixes
application/x-Autodesk-DWF 	Autodesk DWF 	dwf,dwfx*
model/vnd.dwf 		
model/vnd.dwfx+xps 		
drawing/x-dwf 		
Virtual Earth 3D 4.00090316005 plugin for Mozilla

    File: npVE3D.dll
    Version: 4.0.903.16005
    Virtual Earth 3D 4.00090316005 plugin for Mozilla

MIME Type 	Description 	Suffixes
application/x-virtual-earth-3d 	npve3d 	*
Windows Genuine Advantage

    File: npLegitCheckPlugin.dll
    Version: 1.9.9.0
    1.9.0009.0

MIME Type 	Description 	Suffixes
application/WGA-plugin 	npLegitCheckPlugin 	*
Windows Presentation Foundation

    File: NPWPF.dll
    Version: 3.5.30729.1
    Windows Presentation Foundation (WPF) plug-in for Mozilla browsers

MIME Type 	Description 	Suffixes
application/x-ms-xbap 	XAML Browser Application 	xbap
application/xaml+xml 	XAML Document 	xaml
Microsoft® DRM

    File: npdrmv2.dll
    Version: 9.0.0.4503
    DRM Netscape Network Object

MIME Type 	Description 	Suffixes
application/x-drm-v2 	Network Interface Plugin 	nip
Microsoft® DRM

    File: npwmsdrm.dll
    Version: 9.0.0.4503
    DRM Store Netscape Plugin

MIME Type 	Description 	Suffixes
application/x-drm 	Network Interface Plugin 	nip
Windows Media Player Plug-in Dynamic Link Library

    File: npdsplay.dll
    Version: 3.0.2.629
    Npdsplay dll

MIME Type 	Description 	Suffixes
application/asx 	Media Files 	*
video/x-ms-asf-plugin 	Media Files 	*
application/x-mplayer2 	Media Files 	*
video/x-ms-asf 	Media Files 	asf,asx,*
video/x-ms-wm 	Media Files 	wm,*
audio/x-ms-wma 	Media Files 	wma,*
audio/x-ms-wax 	Media Files 	wax,*
video/x-ms-wmv 	Media Files 	wmv,*
video/x-ms-wvx 	Media Files 	wvx,*
Turner Media Plugin 1.0.0.7

    File: NPTURNMED.dll
    Version: 0.1.215.851
    NPTURNMED

MIME Type 	Description 	Suffixes
video/x-turner-wmv 	NPTURNMED 	pipeline
Driver Agent Plug-in

    File: npagent.dll
    Version: 2.2007.9.6
    Keep your drivers up-to-date with Driver Agent. Designed for Firefox, Opera, Mozilla and Netscape; version 2.2007.9.6

MIME Type 	Description 	Suffixes
application/x-driveragent;version=2.2007.9.6 	Driver Agent 	agent
DivX® Content Upload Plugin

    File: npUpload.dll
    Version: 1.2.1.12
    DivX® Content Upload Plugin

MIME Type 	Description 	Suffixes
application/x-divxcontentupload 		
Microsoft® Windows Media Player Firefox Plugin

    File: np-mswmp.dll
    Version: 1.0.0.8
    np-mswmp

MIME Type 	Description 	Suffixes
application/x-ms-wmp 	np-mswmp 	*
application/asx 		*
video/x-ms-asf-plugin 		*
application/x-mplayer2 		*
video/x-ms-asf 		asf,asx,*
video/x-ms-wm 		wm,*
audio/x-ms-wma 		wma,*
audio/x-ms-wax 		wax,*
video/x-ms-wmv 		wmv,*
video/x-ms-wvx 		wvx,*
LizardTech DjVu

    File: npdjvu.dll
    Version: 6.1.1.1574
    DjVu Plug-In(external version 6.1.1.1574)

MIME Type 	Description 	Suffixes
image/vnd.djvu 	DJVU file 	djvu,djv
image/x.djvu 	DJVU file 	djvu,djv
image/x-djvu 	DJVU file 	djvu,djv
image/x-iw44 	IW44 file 	iw44,iw4
image/x-dejavu 	DJVU file 	djvu,djv
image/djvu 	DJVU file 	djvu,djv

==================================================================================

about:buildconfig
Source

Built from http://hg.mozilla.org/releases/mozilla-release/rev/58f3edbff1b9
Build platform
target
i686-pc-mingw32
Build tools
Compiler 	Version 	Compiler flags
d;D:\mozilla-build\msys\mozilla-build\python25\python2.5.exe -O e;D:\mozilla-build\msys\builds\moz2_slave\rel-m-rel-w32-bld\build\build\cl.py cl 	14.00.50727.762 	-TC -nologo -W3 -Gy -Fdgenerated.pdb -we4553 -DNDEBUG -DTRIMMED -Zi -Zi -UDEBUG -DNDEBUG -GL -wd4624 -wd4952 -O1
d;D:\mozilla-build\msys\mozilla-build\python25\python2.5.exe -O e;D:\mozilla-build\msys\builds\moz2_slave\rel-m-rel-w32-bld\build\build\cl.py cl 	14.00.50727.762 	-TP -nologo -W3 -Gy -Fdgenerated.pdb -wd4800 -we4553 -DNDEBUG -DTRIMMED -Zi -Zi -UDEBUG -DNDEBUG -GL -wd4624 -wd4952 -O1
Configure arguments

--enable-application=browser --enable-update-channel=release --enable-update-packaging --enable-jemalloc --enable-tests --enable-official-branding
Comment 10 Jim Mathies [:jimm] 2011-10-06 11:01:44 PDT
Thanks Dave. Have you tried disabling "RealPlayer Browser Record Plugin" to see if that is affecting this? We have ongoing problems with that extension causing crashes and other issues.
Comment 11 Dave Jordan 2011-10-06 11:12:04 PDT
Hmm.  According to about:addons "Extensions", it is disabled:

"RealPlayer Browser Record Plugin is incompatible with Firefox 7.0.1"

Is that what the "false" means in the listing:

        RealPlayer Browser Record Plugin
        14.0.3
        false
        {ABDE892B-13A8-4d1b-88E6-365A6E755758}
Comment 12 Jason Duell [:jduell] (needinfo me) 2011-10-06 11:21:15 PDT
Folks,

Thanks so much for the info. We really hope to get this fixed ASAP, and your help is invaluable.

Just to make this bug legible, if you could post your DLL list, about:support, and HTTP logs as *attachments* (see the "Add an Attachment" link on this page) instead of cut-and-pasting them into the comment field, that would be great (maybe put your username in the file name: ex: "JohnDoe-DLLs", etc.

And in case it's not clear: we need as many reports as possible, so that we can see if there's something in common in your setup that points us at the cause of the problem.  

Thanks!

Jason
Comment 13 robertcharlesrussell 2011-10-06 14:31:50 PDT
Created attachment 565357 [details]
DDLs from this bug
Comment 14 robertcharlesrussell 2011-10-06 14:35:05 PDT
Created attachment 565360 [details]
my About:Support
Comment 15 Chris Forbes [:chrisjf] 2011-10-06 15:37:59 PDT
Created attachment 565379 [details]
My about:support page.
Comment 16 Chris Forbes [:chrisjf] 2011-10-06 15:38:34 PDT
Created attachment 565380 [details]
My DLLs from Process Explorer
Comment 17 trotsky76 2011-10-07 01:21:28 PDT
Created attachment 565459 [details]
DLLs running when Firefox7 hangs
Comment 18 Shaun 2011-10-07 03:59:03 PDT
Created attachment 565486 [details]
DDL attachment

DDL attachment
Comment 19 Shaun 2011-10-07 04:00:08 PDT
Created attachment 565487 [details]
about:support attachment

about:support attachment
Comment 20 Jason Duell [:jduell] (needinfo me) 2011-10-07 14:19:12 PDT
*** Bug 691523 has been marked as a duplicate of this bug. ***
Comment 21 dickvl 2011-10-07 15:26:23 PDT
Maybe users should also post which security software (firewall) they use and their connection speed and maybe their ISP because a slow connection will more easily expose a problem if a large number of connections are open and possibly cause received packets to get dropped that require to request them once again.
Some firewalls may also have a problem with handling such a large on open connections.
Comment 22 jwamplerusa 2011-10-09 18:51:14 PDT
My daughter still runs FF 3.6.23 and has not been experiencing problems. One box on Windows 7, one on Windows XP Pro SP3, and one on Windows XP home SP3 running the 5 and on branch (all currently at 7.0.1) have exhibited variations on the high resource usage and lack of responsiveness.

Process explorer output from hanging 7.0.1 on Win XP Home SP3:

Process	PID	CPU	Description	Company Name
firefox.exe	4360	49.48	Firefox	Mozilla Corporation
System Idle Process	0	31.96		
procexp.exe	5952	16.49	Sysinternals Process Explorer	Sysinternals - www.sysinternals.com
System	4	0.52		
services.exe	1228	0.52	Services and Controller app	Microsoft Corporation
Interrupts	n/a	0.52	Hardware Interrupts	
DPCs	n/a	0.52	Deferred Procedure Calls	
winlogon.exe	1172		Windows NT Logon Application	Microsoft Corporation
winlogon.exe	3272		Windows NT Logon Application	Microsoft Corporation
thunderbird.exe	3588		Thunderbird	Mozilla Messaging
thunderbird.exe	3112		Thunderbird	Mozilla Messaging
svchost.exe	1720		Generic Host Process for Win32 Services	Microsoft Corporation
svchost.exe	1664		Generic Host Process for Win32 Services	Microsoft Corporation
svchost.exe	1520		Generic Host Process for Win32 Services	Microsoft Corporation
svchost.exe	620		Generic Host Process for Win32 Services	Microsoft Corporation
svchost.exe	1404		Generic Host Process for Win32 Services	Microsoft Corporation
svchost.exe	1896		Generic Host Process for Win32 Services	Microsoft Corporation
svchost.exe	424		Generic Host Process for Win32 Services	Microsoft Corporation
spoolsv.exe	1980		Spooler SubSystem App	Microsoft Corporation
snmp.exe	1292		SNMP Service	Microsoft Corporation
smss.exe	1092		Windows NT Session Manager	Microsoft Corporation
rundll32.exe	2952		Run a DLL as an App	Microsoft Corporation
rundll32.exe	2380		Run a DLL as an App	Microsoft Corporation
rundll32.exe	3092		Run a DLL as an App	Microsoft Corporation
rundll32.exe	2320		Run a DLL as an App	Microsoft Corporation
nvsvc32.exe	1956		NVIDIA Driver Helper Service, Version 275.33	NVIDIA Corporation
msdtc.exe	3536		MS DTC console program	Microsoft Corporation
mDNSResponder.exe	500		Bonjour Service	Apple Inc.
McSACore.exe	1820		SiteAdvisor	McAfee, Inc.
lsass.exe	1240		LSA Shell (Export Version)	Microsoft Corporation
jusched.exe	2280		Java(TM) Update Scheduler	Sun Microsystems, Inc.
jusched.exe	384		Java(TM) Update Scheduler	Sun Microsystems, Inc.
jqs.exe	1788		Java(TM) Quick Starter Service	Sun Microsystems, Inc.
iTunesHelper.exe	2208		iTunesHelper	Apple Inc.
iTunesHelper.exe	2512		iTunesHelper	Apple Inc.
ipoint.exe	3344		IPoint.exe	Microsoft Corporation
ipoint.exe	3516		IPoint.exe	Microsoft Corporation
iPodService.exe	3776		iPodService Module (32-bit)	Apple Inc.
IntuitUpdateService.exe	1448		Intuit Update Service	Intuit Inc.
Imgicon.exe	3324		imgicon	Iomega
Imgicon.exe	3672		imgicon	Iomega
IAANTmon.exe	1364		RAID Monitor	Intel Corporation
IAAnotif.exe	2092		Event Monitor User Notification Tool	Intel Corporation
IAAnotif.exe	3420		Event Monitor User Notification Tool	Intel Corporation
GoogleDesktop.exe	3492		Google Desktop	Google
GoogleDesktop.exe	2736		Google Desktop	Google
FWService.exe	788		PC Tools Firewall Plus service	PC Tools
FNPLicensingService.exe	1836		Activation Licensing Service	Acresso Software Inc.
FirewallGUI.exe	2760		PC Tools Firewall GUI	PC Tools
FirewallGUI.exe	4024		PC Tools Firewall GUI	PC Tools
explorer.exe	2464		Windows Explorer	Microsoft Corporation
explorer.exe	1688		Windows Explorer	Microsoft Corporation
dpupdchk.exe	676		dpupdchk.exe	Microsoft Corporation
dpupdchk.exe	3396		dpupdchk.exe	Microsoft Corporation
dllhost.exe	2772		COM Surrogate	Microsoft Corporation
daemonu.exe	368		NVIDIA Settings Update Manager	NVIDIA Corporation
CTSysVol.exe	3852		CTSysVol.exe	Creative Technology Ltd
CTSysVol.exe	3044		CTSysVol.exe	Creative Technology Ltd
CTSVCCDA.EXE	1120		Creative Service for CDROM Access	Creative Technology Ltd
CtHelper.exe	3864		CtHelper Application	Creative Technology Ltd
CtHelper.exe	2500		CtHelper Application	Creative Technology Ltd
CTDVDDET.exe	3808		CTDVDDET	Creative Technology Ltd
CTAudSvc.exe	2020		Creative Audio Service	Creative Technology Ltd
csrss.exe	1148		Client Server Runtime Process	Microsoft Corporation
csrss.exe	2936		Client Server Runtime Process	Microsoft Corporation
ClamTray.exe	1600		ClamWin Antivirus	alch
ClamTray.exe	2972		ClamWin Antivirus	alch
cisvc.exe	1056		Content Index service	Microsoft Corporation
cbVSCService.exe	568		Cobian Backup Boletus VSC service	CobianSoft, Luis Cobian
AppServices.exe	1744		AppServices	Iomega Corporation
AppleMobileDeviceService.exe	480		MobileDeviceService	Apple Inc.
alg.exe	3192		Application Layer Gateway Service	Microsoft Corporation
ADUserMon.exe	1944		Active Disk User Monitor	Iomega Corporation
ADUserMon.exe	3968		Active Disk User Monitor	Iomega Corporation
ADService.exe	396		Active Disk Service	Iomega Corporation
acrotray.exe	5196		AcroTray	Adobe Systems Inc.

Process: firefox.exe Pid: 4360

Type	Name
Semaphore	
Port	
Semaphore	
Event	
Event	
Event	
Semaphore	
Semaphore	
Event	
Semaphore	
Semaphore	
Event	
Event	
Event	
Semaphore	
Section	
Port	
Mutant	
Event	
Event	
Mutant	
Event	
Mutant	
Event	
Event	
Event	
Event	
IoCompletion	
IoCompletion	
IoCompletion	
IoCompletion	
IoCompletion	
Event	
Port	
Event	
IoCompletion	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Section	
Semaphore	
Semaphore	
Event	
Event	
Semaphore	
Event	
Semaphore	
Semaphore	
Event	
Semaphore	
IoCompletion	
Event	
Event	
Event	
Section	
Mutant	
Event	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Section	
Event	
Semaphore	
Semaphore	
Semaphore	
Event	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Port	
Section	
Event	
Event	
Event	
Port	
Event	
Event	
Semaphore	
Event	
Section	
Section	
Section	
Mutant	
Section	
Section	
Section	
Section	
Section	
Mutant	
Event	
Event	
Semaphore	
Section	
Semaphore	
Semaphore	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
WmiGuid	
Event	
Event	
Event	
WmiGuid	
Mutant	
Event	
Event	
Event	
Section	
Event	
Event	
Event	
Port	
Port	
Semaphore	
Event	
Event	
Event	
Event	
Event	
Event	
Semaphore	
Event	
Semaphore	
Semaphore	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Section	
Event	
Event	
Event	
Section	
Event	
Event	
Event	
Section	
Semaphore	
Event	
Event	
Event	
Event	
Semaphore	
Event	
Event	
Event	
Event	
Port	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Mutant	
Event	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Event	
Event	
Event	
Event	
Event	
Event	
Port	
Event	
Event	
Event	
Event	
Event	
Event	
Port	
Mutant	
Mutant	
Port	
Event	
WmiGuid	
Event	
WmiGuid	
Mutant	
Event	
Event	
Event	
Event	
Semaphore	
WmiGuid	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Semaphore	
Semaphore	
Event	
Event	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Semaphore	
Port	
Event	
Mutant	
Event	
WmiGuid	
Event	
WmiGuid	
WmiGuid	
Timer	
Event	
WmiGuid	
Event	
IoCompletion	
WmiGuid	
Event	
Semaphore	
Event	
Semaphore	
Semaphore	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Semaphore	
Event	
Event	
Event	
Event	
Event	
Event	
Semaphore	
Event	
Semaphore	
Event	
Event	
Event	
Semaphore	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Event	
Semaphore	
Event	
Event	
Port	
Directory	\BaseNamedObjects
Mutant	\BaseNamedObjects\!IETld!Mutex
Mutant	\BaseNamedObjects\_!MSFTHISTORY!_
Mutant	\BaseNamedObjects\__DDrawCheckExclMode__
Mutant	\BaseNamedObjects\__DDrawExclMode__
Event	\BaseNamedObjects\_GD_Network_Event4
Event	\BaseNamedObjects\_GD_Network_Event5
Mutant	\BaseNamedObjects\Acrobat Instance Mutex
Mutant	\BaseNamedObjects\Acrobat Instance Mutex
Section	\BaseNamedObjects\AtlDebugAllocator_FileMappingNameStatic3_1108
Section	\BaseNamedObjects\AtlDebugAllocator_FileMappingNameStatic3_1108
Section	\BaseNamedObjects\AtlDebugAllocator_FileMappingNameStatic3_1108
Mutant	\BaseNamedObjects\c:!documents and settings!jd!cookies!
Mutant	\BaseNamedObjects\c:!documents and settings!jd!ietldcache!
Mutant	\BaseNamedObjects\c:!documents and settings!jd!local settings!history!history.ie5!
Mutant	\BaseNamedObjects\c:!documents and settings!jd!local settings!temporary internet files!content.ie5!
Section	\BaseNamedObjects\C:_Documents and Settings_JD_Cookies_index.dat_131072
Section	\BaseNamedObjects\C:_Documents and Settings_JD_IETldCache_index.dat_262144
Section	\BaseNamedObjects\C:_Documents and Settings_JD_Local Settings_History_History.IE5_index.dat_589824
Section	\BaseNamedObjects\C:_Documents and Settings_JD_Local Settings_Temporary Internet Files_Content.IE5_index.dat_1458176
Event	\BaseNamedObjects\crypt32LogoffEvent
Mutant	\BaseNamedObjects\DDrawWindowListMutex
Event	\BaseNamedObjects\hardwaremixercallback
Mutant	\BaseNamedObjects\MidiMapper_Configure
Mutant	\BaseNamedObjects\MidiMapper_modLongMessage_RefCnt
Event	\BaseNamedObjects\mixercallback
Section	\BaseNamedObjects\mmGlobalPnpInfo
Mutant	\BaseNamedObjects\RasPbFile
Semaphore	\BaseNamedObjects\shell.{090851A5-EB96-11D2-8BE4-00C04FA31A66}
Semaphore	\BaseNamedObjects\shell.{210A4BA0-3AEA-1069-A2D9-08002B30309D}
Semaphore	\BaseNamedObjects\shell.{7CB834F0-527B-11D2-9D1F-0000F805CA57}
Semaphore	\BaseNamedObjects\shell.{A48F1A32-A340-11D1-BC6B-00A0C90312E1}
Semaphore	\BaseNamedObjects\shell.{A48F1A32-A340-11D1-BC6B-00A0C90312E1}
Mutant	\BaseNamedObjects\ShimCacheMutex
Section	\BaseNamedObjects\ShimSharedMemory
Section	\BaseNamedObjects\UrlZonesSM_JD
Event	\BaseNamedObjects\userenv:  User Profile setup event
Section	\BaseNamedObjects\WDMAUD_Callbacks
Section	\BaseNamedObjects\windows_ie_global_counters
Mutant	\BaseNamedObjects\ZoneAttributeCacheCounterMutex
Mutant	\BaseNamedObjects\ZoneAttributeCacheCounterMutex
Mutant	\BaseNamedObjects\ZonesCacheCounterMutex
Mutant	\BaseNamedObjects\ZonesCounterMutex
Mutant	\BaseNamedObjects\ZonesLockedCacheCounterMutex
Desktop	\Default
File	\Device\Afd
File	\Device\Afd
File	\Device\Afd
File	\Device\Afd
File	\Device\Afd
File	\Device\Afd
File	\Device\Afd
File	\Device\Afd
File	\Device\Afd
File	\Device\Ip
File	\Device\Ip
File	\Device\Ip
File	\Device\Ip6
File	\Device\Ip6
File	\Device\Ip6
File	\Device\Ip6
File	\Device\KsecDD
File	\Device\KSENUM#00000001
File	\Device\NamedPipe\ROUTER
File	\Device\NamedPipe\ROUTER
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp
File	\Device\Tcp6
File	\Device\Tcp6
File	\Device\WMIDataDevice
File	\Device\WMIDataDevice
KeyedEvent	\KernelObjects\CritSecOutOfMemoryEvent
Directory	\KnownDlls
Port	\RPC Control\OLEA55DCB1B3DD2459A8AB6259B1F5B
Directory	\Windows
WindowStation	\Windows\WindowStations\WinSta0
WindowStation	\Windows\WindowStations\WinSta0
Process	<Non-existent Process>(3544)
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\addons.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\cert8.db
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\chromeappsstore.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\content-prefs.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\cookies.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\cookies.sqlite-shm
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\cookies.sqlite-wal
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\downloads.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\extensions.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\formhistory.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\key3.db
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\lazarus.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\parent.lock
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\permissions.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\places.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\places.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\places.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\places.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\places.sqlite-shm
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\places.sqlite-wal
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\places.sqlite-wal
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\places.sqlite-wal
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\places.sqlite-wal
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\search.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\signons.sqlite
File	C:\Documents and Settings\JD\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\webappsstore.sqlite
File	C:\Documents and Settings\JD\Cookies\INDEX.DAT
File	C:\Documents and Settings\JD\IETldCache\index.dat
File	C:\Documents and Settings\JD\Local Settings\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\Cache\_CACHE_001_
File	C:\Documents and Settings\JD\Local Settings\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\Cache\_CACHE_002_
File	C:\Documents and Settings\JD\Local Settings\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\Cache\_CACHE_003_
File	C:\Documents and Settings\JD\Local Settings\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\Cache\_CACHE_MAP_
File	C:\Documents and Settings\JD\Local Settings\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\urlclassifier3.sqlite
File	C:\Documents and Settings\JD\Local Settings\Application Data\Mozilla\Firefox\Profiles\a62laey4.default\urlclassifier3.sqlite-journal
File	C:\Documents and Settings\JD\Local Settings\History\History.IE5\INDEX.DAT
File	C:\Documents and Settings\JD\Local Settings\Temporary Internet Files\Content.IE5\index.dat
File	C:\Program Files\Adobe\Acrobat 9.0\Acrobat
File	C:\Program Files\Mozilla Firefox
File	C:\WINDOWS\WinSxS\x86_Microsoft.VC80.ATL_1fc8b3b9a1e18e3b_8.0.50727.762_x-ww_cbb27474
File	C:\WINDOWS\WinSxS\x86_Microsoft.VC80.ATL_1fc8b3b9a1e18e3b_8.0.50727.762_x-ww_cbb27474
File	C:\WINDOWS\WinSxS\x86_Microsoft.VC80.ATL_1fc8b3b9a1e18e3b_8.0.50727.762_x-ww_cbb27474
File	C:\WINDOWS\WinSxS\x86_Microsoft.VC80.CRT_1fc8b3b9a1e18e3b_8.0.50727.6195_x-ww_44262b86
File	C:\WINDOWS\WinSxS\x86_Microsoft.VC80.CRT_1fc8b3b9a1e18e3b_8.0.50727.6195_x-ww_44262b86
File	C:\WINDOWS\WinSxS\x86_Microsoft.VC80.CRT_1fc8b3b9a1e18e3b_8.0.50727.6195_x-ww_44262b86
File	C:\WINDOWS\WinSxS\x86_Microsoft.VC80.CRT_1fc8b3b9a1e18e3b_8.0.50727.6195_x-ww_44262b86
File	C:\WINDOWS\WinSxS\x86_Microsoft.VC80.CRT_1fc8b3b9a1e18e3b_8.0.50727.6195_x-ww_44262b86
File	C:\WINDOWS\WinSxS\x86_Microsoft.VC80.CRT_1fc8b3b9a1e18e3b_8.0.50727.6195_x-ww_44262b86
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
File	C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202
Process	firefox.exe(4360)
Thread	firefox.exe(4360): 1344
Thread	firefox.exe(4360): 1548
Thread	firefox.exe(4360): 1556
Thread	firefox.exe(4360): 1556
Thread	firefox.exe(4360): 1640
Thread	firefox.exe(4360): 1640
Thread	firefox.exe(4360): 1640
Thread	firefox.exe(4360): 1652
Thread	firefox.exe(4360): 1672
Thread	firefox.exe(4360): 2264
Thread	firefox.exe(4360): 248
Thread	firefox.exe(4360): 2740
Thread	firefox.exe(4360): 3188
Thread	firefox.exe(4360): 360
Thread	firefox.exe(4360): 360
Thread	firefox.exe(4360): 3624
Thread	firefox.exe(4360): 3832
Thread	firefox.exe(4360): 4028
Thread	firefox.exe(4360): 4168
Thread	firefox.exe(4360): 4200
Thread	firefox.exe(4360): 4412
Thread	firefox.exe(4360): 4412
Thread	firefox.exe(4360): 4412
Thread	firefox.exe(4360): 4440
Thread	firefox.exe(4360): 4860
Thread	firefox.exe(4360): 4860
Thread	firefox.exe(4360): 4860
Thread	firefox.exe(4360): 5080
Thread	firefox.exe(4360): 5168
Thread	firefox.exe(4360): 5168
Thread	firefox.exe(4360): 5208
Thread	firefox.exe(4360): 5376
Thread	firefox.exe(4360): 5420
Thread	firefox.exe(4360): 5448
Thread	firefox.exe(4360): 5516
Thread	firefox.exe(4360): 5632
Thread	firefox.exe(4360): 5652
Thread	firefox.exe(4360): 5660
Thread	firefox.exe(4360): 5672
Thread	firefox.exe(4360): 5672
Thread	firefox.exe(4360): 5672
Thread	firefox.exe(4360): 5740
Thread	firefox.exe(4360): 5756
Thread	firefox.exe(4360): 5756
Thread	firefox.exe(4360): 576
Thread	firefox.exe(4360): 5916
Thread	firefox.exe(4360): 6020
Thread	firefox.exe(4360): 6084
Thread	firefox.exe(4360): 732
Thread	firefox.exe(4360): 808
Thread	firefox.exe(4360): 820
Thread	firefox.exe(4360): 832
Key	HKCR
Key	HKCR
Key	HKCR
Key	HKCR\CLSID
Key	HKCR\CLSID
Key	HKCU
Key	HKCU\Software
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Classes
Key	HKCU\Software\Microsoft\Internet Explorer\IETld
Key	HKCU\Software\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_LOCALMACHINE_LOCKDOWN
Key	HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer
Key	HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts
Key	HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings
Key	HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings
Key	HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings
Key	HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap
Key	HKCU\Software\Microsoft\Windows\CurrentVersion\Shell Extensions\Blocked
Key	HKCU\Software\Microsoft\Windows\CurrentVersion\Shell Extensions\Cached
Key	HKCU\Software\Microsoft\Windows\Shell
Key	HKCU\Software\Microsoft\Windows\ShellNoRoam\MUICache
Key	HKCU\Software\Policies
Key	HKLM
Key	HKLM\SOFTWARE
Key	HKLM\SOFTWARE\Microsoft\COM3
Key	HKLM\SOFTWARE\Microsoft\COM3
Key	HKLM\SOFTWARE\Microsoft\COM3
Key	HKLM\SOFTWARE\Microsoft\COM3
Key	HKLM\SOFTWARE\Microsoft\COM3
Key	HKLM\SOFTWARE\Microsoft\COM3
Key	HKLM\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_HTTP_USERNAME_PASSWORD_DISABLE
Key	HKLM\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_LOCALMACHINE_LOCKDOWN
Key	HKLM\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_PROTOCOL_LOCKDOWN
Key	HKLM\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_UNC_SAVEDFILECHECK
Key	HKLM\SOFTWARE\Microsoft\Tracing\RASAPI32
Key	HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32
Key	HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32
Key	HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\FontSubstitutes
Key	HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer
Key	HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings
Key	HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Shell Extensions\Blocked
Key	HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Shell Extensions\Cached
Key	HKLM\SOFTWARE\Policies
Key	HKLM\SYSTEM\ControlSet001\Control\NetworkProvider\HwOrder
Key	HKLM\SYSTEM\ControlSet001\Control\Nls\Language Groups
Key	HKLM\SYSTEM\ControlSet001\Control\Nls\Locale
Key	HKLM\SYSTEM\ControlSet001\Control\Nls\Locale\Alternate Sorts
Key	HKLM\SYSTEM\ControlSet001\Services\NetBT\Parameters
Key	HKLM\SYSTEM\ControlSet001\Services\NetBT\Parameters\Interfaces
Key	HKLM\SYSTEM\ControlSet001\Services\Tcpip\Linkage
Key	HKLM\SYSTEM\ControlSet001\Services\Tcpip\Parameters
Key	HKLM\SYSTEM\ControlSet001\Services\WinSock2\Parameters\NameSpace_Catalog5
Key	HKLM\SYSTEM\ControlSet001\Services\WinSock2\Parameters\Protocol_Catalog9
Key	HKU
Key	HKU
Key	HKU
Key	HKU
Token	NT AUTHORITY\NETWORK SERVICE:3e4
Comment 23 Duncan Akuma 2011-10-10 09:57:03 PDT
Hi Jason - Here is some additional data for you. Hope this is what you are looking for. I am running the Beta of 7.0 on a 64bit Windows 7 machine. My network.http.max-connections was set to 256 when my normal hang loading Gmail occured. Here's the capture:

Process	PID	CPU	Private Bytes	Working Set	Description	Company Name
System Idle Process	0	91.20	0 K	24 K		
System	4	0.20	224 K	3,176 K		
 Interrupts	n/a	0.61	0 K	0 K	Hardware Interrupts and DPCs	
 smss.exe	312		520 K	1,208 K		
csrss.exe	388	< 0.01	2,364 K	4,640 K		
 conhost.exe	3864		1,072 K	2,728 K		
wininit.exe	432		1,676 K	4,584 K		
 services.exe	488	< 0.01	7,776 K	15,188 K		
  svchost.exe	688	0.21	4,912 K	10,420 K		
   WmiPrvSE.exe	2096		4,284 K	8,880 K		
   WmiPrvSE.exe	3120		6,900 K	9,116 K		
   wfcrun32.exe	2612	< 0.01	3,136 K	9,908 K	Citrix	Citrix Systems, Inc.
   mobsync.exe	4316	< 0.01	2,708 K	8,536 K	Microsoft Sync Center	Microsoft Corporation
   WmiPrvSE.exe	1492		3,048 K	6,496 K		
  svchost.exe	792	0.02	5,288 K	9,480 K		
  svchost.exe	904	0.08	19,692 K	20,172 K		
   audiodg.exe	4688	0.31	16,656 K	16,352 K		
  svchost.exe	944	0.21	111,584 K	119,088 K		
   dwm.exe	2060	1.39	115,624 K	92,252 K	Desktop Window Manager	Microsoft Corporation
  svchost.exe	972	0.07	38,808 K	54,192 K		
  svchost.exe	556		7,076 K	12,280 K		
  svchost.exe	1128	< 0.01	13,452 K	17,360 K		
  spoolsv.exe	1240		12,004 K	19,564 K		
  svchost.exe	1268		25,536 K	28,048 K		
  svchost.exe	1372		4,764 K	9,052 K		
  SMSvcHost.exe	1424		32,084 K	23,180 K		
  NTRTScan.exe	1572		19,548 K	6,272 K		
  TCPSVCS.EXE	1644		1,768 K	4,012 K		
  snmp.exe	1664		3,744 K	8,000 K		
  winvnc.exe	1856	< 0.01	2,384 K	6,676 K		
   winvnc.exe	568		3,600 K	9,876 K		
  svchost.exe	1880		5,820 K	9,208 K		
  TmListen.exe	2192	< 0.01	18,064 K	9,640 K		
   CNTAoSMgr.exe	3852		1,844 K	4,112 K		
  svchost.exe	2536	< 0.01	2,876 K	31,680 K		
  svchost.exe	2600		2,592 K	5,984 K		
  TmPfw.exe	2648		6,496 K	13,384 K		
  svchost.exe	2932	< 0.01	71,580 K	35,916 K	Host Process for Windows Services	Microsoft Corporation
  TmProxy.exe	3904		7,020 K	12,024 K		
  SearchIndexer.exe	3236	< 0.01	47,260 K	36,600 K		
   SearchProtocolHost.exe	2432	0.15	7,608 K	16,144 K	Microsoft Windows Search Protocol Host	Microsoft Corporation
   SearchFilterHost.exe	3276		2,656 K	5,848 K		
  CcmExec.exe	2732	0.03	16,204 K	31,624 K		
  taskhost.exe	2716	< 0.01	8,436 K	11,024 K	Host Process for Windows Tasks	Microsoft Corporation
  OSPPSVC.EXE	1248		5,296 K	12,604 K		
 lsass.exe	504	< 0.01	5,344 K	13,348 K		
 lsm.exe	512		3,240 K	5,940 K		
csrss.exe	452	0.30	12,600 K	73,436 K		
winlogon.exe	616		3,436 K	7,672 K		
explorer.exe	2068	1.29	40,476 K	81,104 K	Windows Explorer	Microsoft Corporation
 igfxtray.exe	1252		2,952 K	6,708 K	igfxTray Module	Intel Corporation
 hkcmd.exe	4024		3,584 K	10,344 K	hkcmd Module	Intel Corporation
 igfxpers.exe	3572		2,568 K	6,768 K	persistence Module	Intel Corporation
 concentr.exe	1672		2,260 K	6,616 K	Citrix online plug-in Connection Center	Citrix Systems, Inc.
 MSOSYNC.EXE	1888		5,040 K	10,124 K	Microsoft Office Document Cache	Microsoft Corporation
 Snagit32.exe	3824		42,872 K	35,664 K	Snagit	TechSmith Corporation
  TscHelp.exe	1000		1,156 K	4,176 K	TechSmith HTML Help Helper	TechSmith Corporation
  SnagPriv.exe	872		1,652 K	5,200 K		
  SnagitEditor.exe	260	< 0.01	21,756 K	46,396 K	Snagit Editor	TechSmith Corporation
   splwow64.exe	4128		3,320 K	8,588 K	Print driver host for 32bit applications	Microsoft Corporation
 ONENOTEM.EXE	3484		1,132 K	656 K	Microsoft OneNote Quick Launcher	Microsoft Corporation
 procexp.exe	1740		2,024 K	6,760 K	Sysinternals Process Explorer	Sysinternals - www.sysinternals.com
  procexp64.exe	3984	2.06	32,204 K	39,964 K	Sysinternals Process Explorer	Sysinternals - www.sysinternals.com
 EXCEL.EXE	4092		27,536 K	51,564 K	Microsoft Excel	Microsoft Corporation
 OUTLOOK.EXE	4816	1.69	56,860 K	97,624 K	Microsoft Outlook	Microsoft Corporation
PccNTMon.exe	3348	< 0.01	7,272 K	4,476 K	Trend Micro OfficeScan Monitor	Trend Micro Inc.
jusched.exe	3100		3,292 K	9,700 K	Java(TM) Update Scheduler	Sun Microsystems, Inc.
firefox.exe	4748	0.15	228,372 K	269,792 K	Firefox	Mozilla Corporation
 plugin-container.exe	4800		8,620 K	13,148 K	Plugin Container for Firefox	Mozilla Corporation

Process: firefox.exe Pid: 4748

Name	Description	Company Name	Version
{6AF0698E-D558-4F6E-9B3C-3716689AF493}.2.ver0x000000000000000d.db			
{AFBF9F1A-8EE8-4C77-AF34-C647E37CA0D9}.1.ver0x0000000000000004.db			
{DDF571F2-BE98-426D-8288-1A9A39C3FDA2}.2.ver0x0000000000000002.db			
advapi32.dll	Advanced Windows 32 Base API	Microsoft Corporation	6.1.7601.17514
apisetschema.dll	ApiSet Schema DLL	Microsoft Corporation	6.1.7600.16385
apphelp.dll	Application Compatibility Client Library	Microsoft Corporation	6.1.7601.17514
arial.ttf			
arialbd.ttf			
arialbi.ttf			
ariali.ttf			
ariblk.ttf			
ATL90.dll	ATL Module for Windows (Unicode)	Microsoft Corporation	9.0.30729.4148
AudioSes.dll	Audio Session	Microsoft Corporation	6.1.7601.17514
browsercomps.dll		Mozilla Foundation	7.0.0.4276
cfgmgr32.dll	Configuration Manager DLL	Microsoft Corporation	6.1.7601.17514
clbcatq.dll	COM+ Configuration Catalog	Microsoft Corporation	2001.12.8530.16385
comctl32.dll	User Experience Controls Library	Microsoft Corporation	6.10.7601.17514
comdlg32.dll	Common Dialogs DLL	Microsoft Corporation	6.1.7601.17514
comic.ttf			
cookies.sqlite-shm			
cour.ttf			
credssp.dll	Credential Delegation Security Package	Microsoft Corporation	6.1.7601.17514
crypt32.dll	Crypto API32	Microsoft Corporation	6.1.7601.17514
cryptbase.dll	Base cryptographic API DLL	Microsoft Corporation	6.1.7600.16385
cryptdll.dll	Cryptography Manager	Microsoft Corporation	6.1.7600.16385
cryptsp.dll	Cryptographic Service Provider API	Microsoft Corporation	6.1.7600.16385
cscapi.dll	Offline Files Win32 API	Microsoft Corporation	6.1.7601.17514
cversions.2.db			
cversions.2.db			
cversions.2.db			
d2d1.dll	Microsoft D2D Library	Microsoft Corporation	6.1.7601.17563
d3d10.dll	Direct3D 10 Runtime	Microsoft Corporation	6.1.7600.16385
d3d10_1.dll	Direct3D 10.1 Runtime	Microsoft Corporation	6.1.7601.17544
d3d10_1core.dll	Direct3D 10.1 Runtime	Microsoft Corporation	6.1.7601.17514
d3d10core.dll	Direct3D 10 Runtime	Microsoft Corporation	6.1.7600.16385
dbghelp.dll	Windows Image Helper	Microsoft Corporation	6.1.7601.17514
devobj.dll	Device Information Set DLL	Microsoft Corporation	6.1.7600.16385
dnsapi.dll	DNS Client API DLL	Microsoft Corporation	6.1.7601.17570
dui70.dll	Windows DirectUI Engine	Microsoft Corporation	6.1.7600.16385
duser.dll	Windows DirectUser Engine	Microsoft Corporation	6.1.7600.16385
dwmapi.dll	Microsoft Desktop Window Manager API	Microsoft Corporation	6.1.7600.16385
DWrite.dll	Microsoft DirectX Typography Services	Microsoft Corporation	6.1.7601.17563
dxgi.dll	DirectX Graphics Infrastructure	Microsoft Corporation	6.1.7601.17514
EhStorShell.dll	Windows Enhanced Storage Shell Extension DLL	Microsoft Corporation	6.1.7600.16385
ExplorerFrame.dll	ExplorerFrame	Microsoft Corporation	6.1.7601.17514
feclient.dll	Windows NT File Encryption Client Interfaces	Microsoft Corporation	6.1.7600.16385
firefox.exe	Firefox	Mozilla Corporation	7.0.0.4276
freebl3.dll	NSS freebl Library	Mozilla Foundation	3.12.10.0
FWPUCLNT.DLL	FWP/IPsec User-Mode API	Microsoft Corporation	6.1.7601.17514
gdi32.dll	GDI Client DLL	Microsoft Corporation	6.1.7601.17514
GROOVEEX.DLL	Microsoft SharePoint Workspace Extensions	Microsoft Corporation	14.0.4761.1000
GrooveIntlResource.dll	Microsoft SharePoint Workspace Intl Resource Module	Microsoft Corporation	14.0.4761.1000
igd10umd32.dll	LDDM User Mode Driver for Intel(R) Graphics Technology	Intel Corporation	8.15.10.2302
imm32.dll	Multi-User Windows IMM32 API Client DLL	Microsoft Corporation	6.1.7601.17514
IPHLPAPI.DLL	IP Helper API	Microsoft Corporation	6.1.7601.17514
kernel32.dll	Windows NT BASE API Client DLL	Microsoft Corporation	6.1.7601.17514
KernelBase.dll	Windows NT BASE API Client DLL	Microsoft Corporation	6.1.7601.17514
lastpass.jar			
linkinfo.dll	Windows Volume Tracking	Microsoft Corporation	6.1.7600.16385
locale.nls			
lpk.dll	Language Pack	Microsoft Corporation	6.1.7600.16385
lpxpcom.dll			
micross.ttf			
MMDevAPI.dll	MMDevice API	Microsoft Corporation	6.1.7601.17514
mozalloc.dll		Mozilla Foundation	7.0.0.4276
mozcpp19.dll	User-Generated Microsoft (R) C/C++ Runtime Library	Mozilla Foundation	8.0.0.0
mozcrt19.dll	User-Generated Microsoft (R) C/C++ Runtime Library	Mozilla Foundation	8.0.0.0
mozjs.dll			
mozsqlite3.dll	SQLite Database Library	sqlite.org	3.7.5.0
msasn1.dll	ASN.1 Runtime APIs	Microsoft Corporation	6.1.7601.17514
mscms.dll	Microsoft Color Matching System DLL	Microsoft Corporation	6.1.7601.17514
msctf.dll	MSCTF Server DLL	Microsoft Corporation	6.1.7600.16385
msimg32.dll	GDIEXT Client DLL	Microsoft Corporation	6.1.7600.16385
msv1_0.dll	Microsoft Authentication Package v1.0	Microsoft Corporation	6.1.7601.17514
msvcp90.dll	Microsoft® C++ Runtime Library	Microsoft Corporation	9.0.30729.4940
msvcr90.dll	Microsoft® C Runtime Library	Microsoft Corporation	9.0.30729.4940
msvcrt.dll	Windows NT CRT DLL	Microsoft Corporation	7.0.7600.16385
mswsock.dll	Microsoft Windows Sockets 2.0 Service Provider	Microsoft Corporation	6.1.7601.17514
NapiNSP.dll	E-mail Naming Shim Provider	Microsoft Corporation	6.1.7600.16385
nlaapi.dll	Network Location Awareness 2	Microsoft Corporation	6.1.7601.17514
nsi.dll	NSI User-mode interface DLL	Microsoft Corporation	6.1.7600.16385
nspr4.dll	NSPR Library	Mozilla Foundation	4.8.9.0
nss3.dll	NSS Base Library	Mozilla Foundation	3.12.10.0
nssckbi.dll	NSS Builtin Trusted Root CAs	Mozilla Foundation	1.87.0.0
nssdbm3.dll	Legacy Database Driver	Mozilla Foundation	3.12.10.0
nssutil3.dll	NSS Utility Library	Mozilla Foundation	3.12.10.0
ntdll.dll	NT Layer DLL	Microsoft Corporation	6.1.7601.17514
ntdll.dll	NT Layer DLL	Microsoft Corporation	6.1.7601.17514
ntmarta.dll	Windows NT MARTA provider	Microsoft Corporation	6.1.7600.16385
ntshrui.dll	Shell extensions for sharing	Microsoft Corporation	6.1.7601.17514
OFFICE.ODF	Microsoft Office culture data dll	Microsoft Corporation	14.0.4738.1000
ole32.dll	Microsoft OLE for Windows	Microsoft Corporation	6.1.7601.17514
oleaut32.dll		Microsoft Corporation	6.1.7601.17514
omni.jar			
places.sqlite-shm			
plc4.dll	PLC Library	Mozilla Foundation	4.8.9.0
plds4.dll	PLDS Library	Mozilla Foundation	4.8.9.0
pnrpnsp.dll	PNRP Name Space Provider	Microsoft Corporation	6.1.7600.16385
profapi.dll	User Profile Basic API	Microsoft Corporation	6.1.7600.16385
propsys.dll	Microsoft Property System	Microsoft Corporation	7.0.7601.17514
psapi.dll	Process Status Helper	Microsoft Corporation	6.1.7600.16385
rasadhlp.dll	Remote Access AutoDial Helper	Microsoft Corporation	6.1.7600.16385
rpcrt4.dll	Remote Procedure Call Runtime	Microsoft Corporation	6.1.7601.17514
RpcRtRemote.dll	Remote RPC Extension	Microsoft Corporation	6.1.7601.17514
rsaenh.dll	Microsoft Enhanced Cryptographic Provider	Microsoft Corporation	6.1.7600.16385
sechost.dll	Host for SCM/SDDL/LSA Lookup APIs	Microsoft Corporation	6.1.7600.16385
secur32.dll	Security Support Provider Interface	Microsoft Corporation	6.1.7601.17514
segoeui.ttf			
segoeuib.ttf			
segoeuii.ttf			
seguisym.ttf			
setupapi.dll	Windows Setup API	Microsoft Corporation	6.1.7601.17514
shdocvw.dll	Shell Doc Object and Control Library	Microsoft Corporation	6.1.7601.17514
shell32.dll	Windows Shell Common Dll	Microsoft Corporation	6.1.7601.17514
shlwapi.dll	Shell Light-weight Utility Library	Microsoft Corporation	6.1.7601.17514
simsun.ttc			
slc.dll	Software Licensing Client Dll	Microsoft Corporation	6.1.7600.16385
smime3.dll	NSS S/MIME Library	Mozilla Foundation	3.12.10.0
softokn3.dll	NSS PKCS #11 Library	Mozilla Foundation	3.12.10.0
SortDefault.nls			
srvcli.dll	Server Service Client DLL	Microsoft Corporation	6.1.7601.17514
ssl3.dll	NSS SSL Library	Mozilla Foundation	3.12.10.0
sspicli.dll	Security Support Provider Interface	Microsoft Corporation	6.1.7601.17514
startupCache.4.little			
StaticCache.dat			
tahoma.ttf			
tahomabd.ttf			
times.ttf			
timesbd.ttf			
timesi.ttf			
trebuc.ttf			
trebucbd.ttf			
trebucit.ttf			
user32.dll	Multi-User Windows USER API Client DLL	Microsoft Corporation	6.1.7601.17514
userenv.dll	Userenv	Microsoft Corporation	6.1.7601.17514
usp10.dll	Uniscribe Unicode script processor	Microsoft Corporation	1.626.7601.17514
uxtheme.dll	Microsoft UxTheme Library	Microsoft Corporation	6.1.7600.16385
verdana.ttf			
verdanab.ttf			
verdanai.ttf			
version.dll	Version Checking and File Installation Libraries	Microsoft Corporation	6.1.7600.16385
WindowsCodecs.dll	Microsoft Windows Codecs Library	Microsoft Corporation	6.1.7601.17514
winmm.dll	MCI API DLL	Microsoft Corporation	6.1.7601.17514
winnsi.dll	Network Store Information RPC interface	Microsoft Corporation	6.1.7600.16385
winrnr.dll	LDAP RnR Provider DLL	Microsoft Corporation	6.1.7600.16385
winspool.drv	Windows Spooler Driver	Microsoft Corporation	6.1.7601.17514
wintrust.dll	Microsoft Trust Verification APIs	Microsoft Corporation	6.1.7601.17514
Wldap32.dll	Win32 LDAP API DLL	Microsoft Corporation	6.1.7601.17514
wow64.dll	Win32 Emulation on NT64	Microsoft Corporation	6.1.7601.17514
wow64cpu.dll	AMD64 Wow64 CPU 	Microsoft Corporation	6.1.7601.17514
wow64win.dll	Wow64 Console and Win32 API Logging	Microsoft Corporation	6.1.7601.17514
ws2_32.dll	Windows Socket 2.0 32-Bit DLL	Microsoft Corporation	6.1.7601.17514
wship6.dll	Winsock2 Helper DLL (TL/IPv6)	Microsoft Corporation	6.1.7600.16385
WSHTCPIP.DLL	Winsock2 Helper DLL (TL/IPv4)	Microsoft Corporation	6.1.7600.16385
wsock32.dll	Windows Socket 32-Bit DLL	Microsoft Corporation	6.1.7600.16385
xpcom.dll		Mozilla Foundation	7.0.0.4276
xul.dll		Mozilla Foundation	7.0.0.4276
Comment 24 juan becerra [:juanb] 2011-10-10 15:46:18 PDT
We'd love to help here, but with the information currently available and some testing around, we haven't been able to reproduce the problem in the QA lab, some of which has software installed that in the past has caused problems, like antivirus software. I'll add the qa+ entry to keep track of this.
Comment 25 jwamplerusa 2011-10-11 04:18:20 PDT
I saved the Windows dump files from a recent "crash" of FF. I recognize there are potential security risks, but I'm willing to provide them to a FF developer privately. 

The only developer I'm aware of by name is Mr. Duell, but I'll provide them to anyone who I can verify as a FF developer.

You can contact me through my registration e-mail address if you're interested.
Comment 26 Danial Horton 2011-10-13 01:15:03 PDT
an excessive amount of HTTP connections can hang or reset many cheap or old modem/routers. 

Copied from another bug

"A short list from the Vuze wiki, but there are countless references on Whirlpool. With a quick search i can pull them up.

"The following routers have known problems with too many simultaneous connections. Limiting "Max connections globally" in Vuze's Transfer options to 200 or fewer should fix the problems:"

  D-Link DI-624
    D-Link DSL-G664T
    Linksys BEFSR41V4/BESR41
    Linksys WRT54G (upgrading firmware dramatically helps)
    Linksys Wireless-b
    Netgear DG632
    Netgear DG834G
    Netgear MR814
    Netgear Rangemax 802.11n WPN824
    Netgear WGT524
    Netgear WGR614
    SpeedStream 5660 in Router/NAPT configuration. Latest firmware is 2.(3).7. Alternate workarounds:
        Switch to bridged mode. (For security, firewall your network.)
        When it dies, just power-cycle the router and continue on. 
    W-Linx MB401-S (and SMC Barricade 7004 BR, which is identical in construction)
    WRT54G/GL/GS"

There are also other modems i know of that have the same issue, and many cheap USB only DSL modems are also affected.

some Conexant NICS with onboard processors also suffer high load when a large amount of http connections are passed (apparently why windows doesn't enable hardware tcp offloading by default as of XP SP1)
Comment 27 Patrick McManus [:mcmanus] 2011-10-13 05:42:39 PDT
(In reply to Danial Horton from comment #26)
> an excessive amount of HTTP connections can hang or reset many cheap or old
> modem/routers. 
> 

So it sounds like the reporters can test this hypothesis by resetting their routers while they are experiencing a hang, yes?

Can any reporter test that?

(In reply to juan becerra [:juanb] from comment #24)
> We'd love to help here, but with the information currently available and
> some testing around, we haven't been able to reproduce the problem in the QA
> lab, some of which has software installed that in the past has caused
> problems, like antivirus software. I'll add the qa+ entry to keep track of
> this.

Can the qa lab try out any of the hardware in comment 26?
Comment 28 Patrick McManus [:mcmanus] 2011-10-13 07:44:22 PDT
I cannot reproduce the issue on vista or linux - but I have created a page that will consistently use 240 connections.

http://www.ducksong.com/mozilla/692260/index.html

Would anyone, especially reporters of the bug, please try this so we can see if there is a consistent reproducable case here?

The page loads 240 distinct img urls using 40 different hostnames. (it happens to be the same image, but it has 240 names.) Given the default parallelism of 6 per hostname this gives the potential for 240 simultaneous connections. The image actually injects a 3 second delay halfway through serving it in order to make sure all the connections have time to establish themselves.

I've confirmed it opens 240 connections active simultaneously (I've confirmed from both the client and server sides) so we can see if there is a direct correlation between doing that and the hang some people are seeing. If there is, we can start figuring out what is different between those folks and the works-for-me crowd.
Comment 29 Dave Jordan 2011-10-13 08:26:35 PDT
I tried this test case under Win XP.  It seemed to crash repeatedly with network.http.max-connections set to the default value of 256.  It did not crash with network.http.max-connections set to 30.

I tried resetting my wireless router with max-connections set to 256 and FF hung.  That didn't seem to have any effect, but I may not have done things correctly.

Dave

(In reply to Patrick McManus from comment #28)
> I cannot reproduce the issue on vista or linux - but I have created a page
> that will consistently use 240 connections.
> 
> http://www.ducksong.com/mozilla/692260/index.html
> 
> Would anyone, especially reporters of the bug, please try this so we can see
> if there is a consistent reproducable case here?
Comment 30 Patrick McManus [:mcmanus] 2011-10-13 08:45:06 PDT
(In reply to Dave Jordan from comment #29)
> I tried this test case under Win XP.  It seemed to crash repeatedly with
> network.http.max-connections set to the default value of 256.  It did not
> crash with network.http.max-connections set to 30.
>

ok, I guess that's good :). I just verified that it is wfm on xp too.

jimm, jduell, any thoughts on how we figure out what is causing the issue for dave?
Comment 31 Jim Mathies [:jimm] 2011-10-13 08:47:35 PDT
(In reply to Dave Jordan from comment #29)
> I tried this test case under Win XP.  It seemed to crash repeatedly with
> network.http.max-connections set to the default value of 256.  It did not
> crash with network.http.max-connections set to 30.
> 

Were there any crash reports generated from this? (see about:crashes)
Comment 32 Dave Jordan 2011-10-13 09:03:59 PDT
No.  No crash reports despite several crashes.

Not sure what the crash reporting process is, but by the time it hangs FF has taken up almost 2 GB of memory (according to task manager), is running between 55 and 60 percent of the 2 cores I've got, and is pretty much totally unresponsive.

Is there some way to run, or terminate, which would improve the chances of getting a report?

(In reply to Jim Mathies [:jimm] from comment #31)

> Were there any crash reports generated from this? (see about:crashes)
Comment 33 Jim Mathies [:jimm] 2011-10-13 09:35:52 PDT
(In reply to Dave Jordan from comment #32)
> No.  No crash reports despite several crashes.
> 
> Not sure what the crash reporting process is, but by the time it hangs FF
> has taken up almost 2 GB of memory (according to task manager), is running
> between 55 and 60 percent of the 2 cores I've got, and is pretty much
> totally unresponsive.
> 
> Is there some way to run, or terminate, which would improve the chances of
> getting a report?
> 
> (In reply to Jim Mathies [:jimm] from comment #31)
> 
> > Were there any crash reports generated from this? (see about:crashes)

Can you try reproducing your particular crashing problem in safe mode -

http://support.mozilla.com/en-US/kb/Safe%20Mode

So we can rule out problems with any of the extension you currently have installed.
Comment 34 Dave Jordan 2011-10-13 09:56:39 PDT
Safe mode doesn't seem to make any difference - fails either way.

Also, since someone reported that max-connections of 48 seemed to work, I tried that and it did, indeed, seem to work.

(In reply to Jim Mathies [:jimm] from comment #33)
> 
> Can you try reproducing your particular crashing problem in safe mode -
> 
> http://support.mozilla.com/en-US/kb/Safe%20Mode
> 
> So we can rule out problems with any of the extension you currently have
> installed.
Comment 35 Jim Mathies [:jimm] 2011-10-13 10:28:38 PDT
(In reply to Dave Jordan from comment #34)
> Safe mode doesn't seem to make any difference - fails either way.
> 
> Also, since someone reported that max-connections of 48 seemed to work, I
> tried that and it did, indeed, seem to work.
> 
> (In reply to Jim Mathies [:jimm] from comment #33)
> > 
> > Can you try reproducing your particular crashing problem in safe mode -
> > 
> > http://support.mozilla.com/en-US/kb/Safe%20Mode
> > 
> > So we can rule out problems with any of the extension you currently have
> > installed.

Ok, so a few more questions. Since it's been raised as a possible cause, what type of router hardware are you using? Also, what firewall / anti-virus software are you using?
Comment 36 Patrick McManus [:mcmanus] 2011-10-13 10:30:53 PDT
*** Bug 689898 has been marked as a duplicate of this bug. ***
Comment 37 VanillaMozilla 2011-10-13 10:37:53 PDT
(In reply to Patrick McManus from comment #28)
> I have created a page
> that will consistently use 240 connections.

I think you may have a problem with the test.  Each image is 111,217 bytes compressed, but 1.8 MB uncompressed, and that makes over 460 million bytes total.   Some users' computers may have issues just storing and displaying all this, and that could cause performance problems that would confuse the issue.  I tried it on a computer with 384 MB RAM, and I terminated the test at over 500 MB virtual memory (still loading).  I couldn't duplicate the problem as far as I can tell, but sure enough, the computer bogged down considerably because of swapping.  You might want to try it with uncompressed images of around 100,000 bytes each.
Comment 38 Dave Jordan 2011-10-13 10:41:37 PDT
I'm using a Motorola Surfboard - SB5101U - cable modem and a Linksys Wireless G - WRT54GL v1.1 - Broadband Router.  Modem is connected to Comcast cable in Tucson, AZ.

(In reply to Jim Mathies [:jimm] from comment #35)
>
> Ok, so a few more questions. Since it's been raised as a possible cause,
> what type of router hardware are you using? Also, what firewall / anti-virus
> software are you using?
Comment 39 Patrick McManus [:mcmanus] 2011-10-13 11:03:12 PDT
(In reply to VanillaMozilla from comment #37)
> (In reply to Patrick McManus from comment #28)
> > I have created a page
> > that will consistently use 240 connections.
> 
> I think you may have a problem with the test.  Each image is 111,217 bytes
> compressed, but 1.8 MB uncompressed

I wondered that when the word crash entered the discussion for the first time.

I've changed the test to use a much smaller image (but same amount of parallelism)

retry? http://www.ducksong.com/mozilla/692260/index.html
Comment 40 Dave Jordan 2011-10-13 11:16:59 PDT
OK.  I retried this, using the smaller image (in safe mode).  FF still hung.  Task manager still showed about 2 GB memory / 55-60 percent CPU usage.

But FF didn't seem to be completely dead.  I could select other tabs, etc.

But then FF did, indeed, crash.  And it seems to have generated a crash report:

https://crash-stats.mozilla.com/report/index/bp-76795978-5ff8-49a8-bbcb-b7bfc2111013

(In reply to Patrick McManus from comment #39)
> 
> retry? http://www.ducksong.com/mozilla/692260/index.html
Comment 41 Danial Horton 2011-10-13 13:14:08 PDT
Just to note, the Modem issue would be a fringe case, but i doubt it would cause high memory and cpu usage, unless it was one of the USB type modems.

it could be local drivers however, so updating WIFI/Ethernet drivers might help.
Comment 42 Jason Duell [:jduell] (needinfo me) 2011-10-13 13:22:02 PDT
Danial,

Yes, I suspect the modem/router issue should stay in the other bug you filed.

Patrick: we should probably file a new bug for the crash people saw with your "fat" image page?  Presumably not as important as this bug, but still a crash. (or are we ok with OOM crashes, assuming that's what it is?)
Comment 43 [:Cww] 2011-10-13 13:44:50 PDT
What's the status of this bug? I'd like to get it in or get some kind of fix.  Hangs/Freezing/not responding is about half of our top issues right now. I can't say that all or even most of them are caused by this bug but we know that for some set of users, dialing back this preference solves (or masks) the problem.

Has it landed in beta? aurora? are we doing more investigation and is there a hard time limit by when we'll have to make a decision and take this as a fall back?
Comment 44 John Hesling [:John99] (NeedInfo me) 2011-10-13 13:45:31 PDT
(In reply to Patrick McManus from comment #39)

> I wondered that when the word crash entered the discussion for the first
> time.
> 
> I've changed the test to use a much smaller image (but same amount of
> parallelism)
> 
> retry? http://www.ducksong.com/mozilla/692260/index.html

Would there be any point in a test using 240 thumbnail size images, you may then get more users able to test it. My machine does not often hang, it does however have problems on the above test, it either times out or does not complete loading. I will try again after reducing the prefs setting.
Comment 45 Patrick McManus [:mcmanus] 2011-10-13 13:46:52 PDT
(In reply to Jason Duell (:jduell) from comment #42)

> Patrick: we should probably file a new bug for the crash people saw with
> your "fat" image page?  Presumably not as important as this bug, but still a
> crash. (or are we ok with OOM crashes, assuming that's what it is?)

you can run it by bz, but 'infallible malloc' pretty much means crash on OOM happens.. I know we try and catch it in some heavy hitting places, of which I bet imagelib is one, but just putting pressure on the vm with an overallocation vm means it is destined to happen with that test case.
Comment 46 Danial Horton 2011-10-13 13:47:27 PDT
It would be good for those experiencing problems to not only list firewall software but also antivirus software with packet scanners and the ethernet card/driver in use.
Comment 47 Patrick McManus [:mcmanus] 2011-10-13 13:54:37 PDT
(In reply to John Hesling [:John99] from comment #44)
> (In reply to Patrick McManus from comment #39)
> 
> > 
> > retry? http://www.ducksong.com/mozilla/692260/index.html
> 
> Would there be any point in a test using 240 thumbnail size images, you may
> then get more users able to test it. My machine does not often hang, it does
> however have problems on the above test, it either times out or does not
> complete loading. I will try again after reducing the prefs setting.

I think its interesting you have problems with this. It's only a 4KB jpg. (I don't know how to tell the uncompressed size, but I doubt it is large).

Maybe it is conflating things, but if you can render the page with a small connection limit then it doesn't seem to be a OOM issue, so maybe you can repro the root cause.
Comment 48 Jason Duell [:jduell] (needinfo me) 2011-10-13 14:12:37 PDT
@cww: we'll definitely land the pref fix in beta/aurora before the next fork if we can't figure out a real fix soon.
Comment 49 Dave Jordan 2011-10-13 14:21:20 PDT
I'm not using any firewall or antivirus software.

Ethernet is a TP-Link TL-WN781ND Wireless Adapter, driver is version 7.7.0.329, dated 06/03/2009, from Atheros Communications, Inc.

(In reply to Danial Horton from comment #46)
> It would be good for those experiencing problems to not only list firewall
> software but also antivirus software with packet scanners and the ethernet
> card/driver in use.
Comment 50 [:Cww] 2011-10-13 14:26:39 PDT
Marking as tracking.
Comment 51 Danial Horton 2011-10-13 14:28:13 PDT
-_- Atheros's 2009 drivers are notoriously bad.

can you post the compatible id, there may be newer available.
Comment 52 Danial Horton 2011-10-13 14:30:10 PDT
nvm, i tracked it down, try to reproduce the problem with the drivers at http://www.atheros.cz/atheros-wireless-download.php?chipset=37&system=5
Comment 53 robertcharlesrussell 2011-10-13 14:30:32 PDT
I use windows firewall and Nod32 antivirus.
Comment 54 John Hesling [:John99] (NeedInfo me) 2011-10-13 14:31:32 PDT
(update  to John Hesling [:John99] from comment #44)

> ...
>  My machine does not often hang, it does
> however have problems on the above test, it either times out or does not
> complete loading. I will try again after reducing the prefs setting.

Reduced pref to 30 connections.
Still not completing. Test page maxes out the cpu. 
I am using Fx9.0a2 in safe mode. Closing test page returns normality to firefox with firefox CPU usage dropping quickly. Notably other none firefox processes remaining high. I doubt I can add any useful info, other than to point out the test used may be rather severe for some users. I will happily run further tests or post other info if it may help.

Security software is Norton Internet Security, Router is DG934G SKY branded Netgear. Windows XP, <1GB RAM.
Comment 55 Danial Horton 2011-10-13 14:33:25 PDT
is this being seen only on XP?
Comment 56 Patrick McManus [:mcmanus] 2011-10-13 14:38:30 PDT
(In reply to Danial Horton from comment #55)
> is this being seen only on XP?

there is some windows 7 in comment 22/23 and at least one of the attachments.

but it isn't a sure thing that this is all the same issue.
Comment 57 Patrick McManus [:mcmanus] 2011-10-13 14:40:47 PDT
(In reply to Jason Duell (:jduell) from comment #48)
> @cww: we'll definitely land the pref fix in beta/aurora before the next fork
> if we can't figure out a real fix soon.

if we're forced into that I think the pref should be set to 64. Everyone who has tested that has reported success at that level - and it is enough to accomodate the max levels of parallelism I've seen on a single page. (Although it is worth nothing that chromium went from 100 to 256 with the comment that 100 was not enough in the field - this isn't an academic need.).
Comment 58 John Hesling [:John99] (NeedInfo me) 2011-10-13 15:00:10 PDT
(In reply to John Hesling [:John99] from comment #54)
> (update  to John Hesling [:John99] from comment #44)
> 
> > ...
> >  My machine does not often hang, it does
> > however have problems on the above test, it either times out or does not
> > complete loading. I will try again after reducing the prefs setting.
> 
> Reduced pref to 30 connections.
> Still not completing. Test page maxes out the cpu. 
> I am using Fx9.0a2 in safe mode. Closing test page returns normality to
> firefox with firefox CPU usage dropping quickly. Notably other none firefox
> processes remaining high. I doubt I can add any useful info, other than to
> point out the test used may be rather severe for some users. I will happily
> run further tests or post other info if it may help.
> 
> Security software is Norton Internet Security, Router is DG934G SKY branded
> Netgear. Windows XP, <1GB RAM.

Just tried the test page in Fx 3.6.23 ; same machine,not even in safe mode; but it completed normally. I see "done" at the bottom of the column of images and did not see unusual cpu usage.
Comment 59 Dave Jordan 2011-10-13 15:13:38 PDT
I poke around on this website without really knowing what I was doing.  The specific page mentioned below talks about Windows 7 drivers, not XP.  I found what I thought was the right stuff but had trouble installing it.

In the end, I'm back to the 2009 driver...may be buggy, but generally works for me.

(In reply to Danial Horton from comment #52)
> nvm, i tracked it down, try to reproduce the problem with the drivers at
> http://www.atheros.cz/atheros-wireless-download.php?chipset=37&system=5
Comment 60 John Hesling [:John99] (NeedInfo me) 2011-10-13 15:24:36 PDT
Any problem I see is intermittent, even then it did not cause browser hang requiring restart. Test page now completed in Fx9.0a2 even with default connections settings and not in safe mode.  (I am of course now using small test page blue images, rather than actual stove)
Comment 61 Jason Duell [:jduell] (needinfo me) 2011-10-13 18:47:46 PDT
> if we're forced into that I think the pref should be set to 64.

Folks on the Firefox help site seemed to find 48 to be the cutoff between seeing the hang or not, so we should be careful and get some feedback before we pick a number.  Which hopefully we won't have to.

> Just tried the test page in Fx 3.6.23 ; same machine,not even in safe mode; but it 
> completed normally.

Patrick: can 3.6 users change the pref to 256? (I.e will the HTTP stack use that many if the pref is set that high, or did we have a hard limit?)  Might be worth having some of the affected users try a quick sanity test using 3.6 with 256 cxns, to see if there's a chance this is caused by any code changes we've done since.  I doubt it, but it's an easy test to try.
Comment 62 Patrick McManus [:mcmanus] 2011-10-13 18:52:48 PDT
(In reply to Jason Duell (:jduell) from comment #61)

> 
> Patrick: can 3.6 users change the pref to 256? 

no.. I'm pretty sure you couldn't go past 50 or something like that.
Comment 63 VanillaMozilla 2011-10-13 20:05:54 PDT
(In reply to Patrick McManus from comment #39)
> retry? http://www.ducksong.com/mozilla/692260/index.html

Works for me.  No problem on Linux or Windows XP, WRT54GL router (that one is on the list), max-connections 256.
Comment 64 fifiala 2011-10-14 07:50:31 PDT
Created attachment 567085 [details]
dlls when firefox hangs

saw a post asking for dll's - noob am I, but here it is ... this has been going on for me since the mid-6 versions tho', not just w/ 7
Comment 65 Patrick McManus [:mcmanus] 2011-10-17 06:39:47 PDT
If you can reproduce a problem with http://www.ducksong.com/mozilla/692260/index.html please attach an HTTP log of that session to this bug.

https://developer.mozilla.org/en/HTTP_Logging

Thanks!
Comment 66 Dave Jordan 2011-10-17 07:54:40 PDT
Created attachment 567442 [details]
logging output

This is the first 5000 lines of logging output...there are lots more where they came from.  The entire file is almost 700 MB...and it's that short only because I shut it down.
Comment 67 Patrick McManus [:mcmanus] 2011-10-17 08:02:00 PDT
(In reply to Dave Jordan from comment #66)
> Created attachment 567442 [details]
> logging output
> 
> This is the first 5000 lines of logging output...there are lots more where
> they came from.  The entire file is almost 700 MB...and it's that short only
> because I shut it down.

5000 wasn't enough - it only got through about 200 of the images.. can you do maybe 2 or 3 MB worth? (your sample was only 320KB).

thanks.
Comment 68 Dave Jordan 2011-10-17 08:21:14 PDT
Created attachment 567453 [details]
More logging output

OK...here's the first 50,000 lines.  As I said, there's plenty more...
Comment 69 Jim Mathies [:jimm] 2011-10-17 08:36:06 PDT
(In reply to Dave Jordan from comment #68)
> Created attachment 567453 [details]
> More logging output
> 
> OK...here's the first 50,000 lines.  As I said, there's plenty more...

5284[a38780]:   calling PR_Poll [active=90 idle=0]
5284[a38780]: poll timeout: 65535
5284[a38780]:     timeout = 0 milliseconds
5284[a38780]:     ...returned after 0 milliseconds
5284[a38780]:   PR_Poll error [-5974]
5284[a38780]: nsHttpConnectionMgr::AtActiveConnectionLimit [ci=...y06.ducksong.com:80 caps=21]
5284[a38780]:    total=6, persist=6
5284[a38780]: STS poll iter [0]

That's interesting.

PR_Poll error is PR_INSUFFICIENT_RESOURCES_ERROR.
Comment 70 Jim Mathies [:jimm] 2011-10-17 08:42:39 PDT
We'd have to trace this better to find that actual call that generated this, but that error translates to a few winsock errors, including:

ERROR_INVALID_USER_BUFFER
ERROR_NOT_ENOUGH_MEMORY
WSAENOBUFS
ERROR_OUTOFMEMORY

All of which point to resource starvation.
Comment 71 Jim Mathies [:jimm] 2011-10-17 08:48:43 PDT
(In reply to Dave Jordan from comment #68)
> Created attachment 567453 [details]
> More logging output
> 
> OK...here's the first 50,000 lines.  As I said, there's plenty more...

Dave, looking at your support info, looks like you are running XP with a nice video card. Curious how much ram you have installed and how much free space you have on your main (swap) drive?
Comment 72 Patrick McManus [:mcmanus] 2011-10-17 09:37:29 PDT
Dave, I apologize for just asking you to try things out.

1] can you try going to about:config and setting network.tcp.sendbuffer to 8192, restart firefox, and then try the test again?

If that doesn't change anything

2] can you try the registry tweak described here: http://support.microsoft.com/kb/196271 ? I am pretty sure that the problem that tweak deals with is not what you are experiencing, but I want to rule it out 100%. 

3] can you report your registry settings for TcpNumConnections and TcpWindowSize (Key: Tcpip\Parameters)

Thanks.

jimm - its possible these are non pageable kernel bufs being exhausted. But still, this is not a large amount of memory.

it's also curious that the first insufficient resources_error kicks in at active socket #64.
Comment 73 Dave Jordan 2011-10-17 12:15:37 PDT
I've got 4GB of RAM installed.  I've got paging files on two drives:
   Drive C, 2-4 GB paging, 245 GB free
   Drive E, 8-16 GB paging, 66 GB free

(In reply to Jim Mathies [:jimm] from comment #71)
> 
> Dave, looking at your support info, looks like you are running XP with a
> nice video card. Curious how much ram you have installed and how much free
> space you have on your main (swap) drive?
Comment 74 Patrick McManus [:mcmanus] 2011-10-17 12:28:56 PDT
(In reply to Dave Jordan from comment #73)
> I've got 4GB of RAM installed.  I've got paging files on two drives:
>    Drive C, 2-4 GB paging, 245 GB free
>    Drive E, 8-16 GB paging, 66 GB free
> 

You have so much... I wonder if you boot with the /3gb option? (maybe if you tried to run a database or something it made that change for you) see http://blogs.technet.com/b/markrussinovich/archive/2009/03/26/3211216.aspx

You have a lot of VM on a pretty old OS. The amount needed for page tables is going to be significant and eat into that non-pageable pool which iirc is where the network buffers come from too.. I more recent windows there is some dynamic scaling to those buffers, but they might all just be splat allocated on xp.
Comment 75 Patrick McManus [:mcmanus] 2011-10-17 12:30:38 PDT
Chrome has a similar with avira webguard. Anybody running that?

http://code.google.com/p/chromium/issues/detail?id=32817
Comment 76 Dave Jordan 2011-10-17 12:51:28 PDT
I tried 1 - setting network.tcp.sendbuffer to 8192.  Didn't seem to make any difference.

On 2 - I looked at that web page and ran regedit.  I can create the value name, set the type to DWORD, and specify the data.  But I'm not sure how to specify the valid range and the default value.  So...rather than doing it wrong (and breaking something), I haven't done anything.

# 3 - TcpNumConnections - Not found in my registry
    - TcpWindowSize     - 0x00040000 (262144)


(In reply to Patrick McManus from comment #72)
> Dave, I apologize for just asking you to try things out.
> 
> 1] can you try going to about:config and setting network.tcp.sendbuffer to
> 8192, restart firefox, and then try the test again?
> 
> If that doesn't change anything
> 
> 2] can you try the registry tweak described here:
> http://support.microsoft.com/kb/196271 ? I am pretty sure that the problem
> that tweak deals with is not what you are experiencing, but I want to rule
> it out 100%. 
> 
> 3] can you report your registry settings for TcpNumConnections and
> TcpWindowSize (Key: Tcpip\Parameters)
> 
> Thanks.
> 
> jimm - its possible these are non pageable kernel bufs being exhausted. But
> still, this is not a large amount of memory.
> 
> it's also curious that the first insufficient resources_error kicks in at
> active socket #64.
Comment 77 Dave Jordan 2011-10-17 13:01:55 PDT
Not quite sure what you're asking here.  My boot.ini does not include the /3GB option.

(In reply to Patrick McManus from comment #74)
> (In reply to Dave Jordan from comment #73)
> > I've got 4GB of RAM installed.  I've got paging files on two drives:
> >    Drive C, 2-4 GB paging, 245 GB free
> >    Drive E, 8-16 GB paging, 66 GB free
> > 
> 
> You have so much... I wonder if you boot with the /3gb option? (maybe if you
> tried to run a database or something it made that change for you) see
> http://blogs.technet.com/b/markrussinovich/archive/2009/03/26/3211216.aspx
> 
> You have a lot of VM on a pretty old OS. The amount needed for page tables
> is going to be significant and eat into that non-pageable pool which iirc is
> where the network buffers come from too.. I more recent windows there is
> some dynamic scaling to those buffers, but they might all just be splat
> allocated on xp.
Comment 78 Patrick McManus [:mcmanus] 2011-10-17 13:57:26 PDT
From http://tangentsoft.net/wskfaq/advanced.html

"4.9 - What are the “64 sockets” limitations?
[..]

The select() function is also limited in certain situations to waiting on 64 sockets at a time. The FD_SETSIZE constant defined in the Winsock header determines the size of the fd_set structures you pass to select(). The default value is 64, but if you define this constant to a different value before including the Winsock header, it accepts that value instead:

        #define FD_SETSIZE 1024
        #include <wsock32.h>

The problem is that modern network stacks are complex, with many parts coming from various sources, including third parties via things like Layered Service Providers. When you change this constant, you’re depending on all these components to play by the new rules. They’re supposed to, but not all do. The typical symptom is that they ignore sockets beyond the 64th in larger fd_set structures. You can get around this limitation with threads, just as in the event object case."

NSPR relies on the exact #define pattern illustrated by the website and generally seems to work, so I'm going to presume its defined right

mxr.mozilla.org/mozilla-central/source/nsprpub/pr/src/md/windows/w32poll.c#43

And while this is a significant problem for 7.0 most folks are WFM, so a complication of something like an LSP makes a lot of sense even if we can't find the common thread.

There doesn't seem to be much point in doodling around with the WSA* discovery stuff if it is a LSP issue, they won't show up in the info functions. But maybe something can be done in handling the error if this is showing up in poll for other people or maybe even some kind of autodetect.

(this also explains the hang, if poll it getting stuck nothing is going to progress).
Comment 79 Patrick McManus [:mcmanus] 2011-10-17 14:04:17 PDT
If someone in addition to Dave Jordan (thanks Dave!) could do the logging experiment from comment 65 that would be very helpful. I want to confirm the problem is also in pr_poll in more than one log.
Comment 80 Danial Horton 2011-10-17 18:33:33 PDT
Following the Paged and Non Paged {pp; line of thought, theres actually a glitch in XP where it fails to allocate enough to the pool when lots of memory is available.

You will need Process Explorer and the debug symbols set to get the current and limit amounts.

Gigabit and Wireless N drivers chew heavily into the non paged pool, but this wouldn't explain the same/similar thing happening on windows 7, which can use 2/2 or 64/4 PP/NP depending on if you have 32bit or 64bit.
Comment 81 Patrick McManus [:mcmanus] 2011-10-17 21:16:48 PDT
Dave, thanks for all the help so far.

I have a build at http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mcmanus@ducksong.com-5cfe77828240/try-win32/ that I am hoping you can try out and send the http log for.

Basically at startup time it takes the number of sockets that it thinks you can support and tries to allocate sockets for them and do a poll on them (without connecting them to anything). If they don't all succeed it scales that back to a number than it can work with. This is consistent with the error you were seeing in PR_POLL.

My copy of xp confirms 550 available sockets (550 is the max the stack ever looks for). (the http setting is always <= the total socket number.)

If nothing else, it would be helpful to see the log.
Comment 82 Dave Jordan 2011-10-18 06:52:15 PDT
Created attachment 567733 [details]
Log using new build

I've attached the first 50,000 lines of the log generated using the build below.  It seemed to fail in the same way.

Also, there had been some discussion about memory usage, so I ran the process explorer - system information.  I'm not sure this is what folks were interested in, but:
       Kernal Memory
           Paged Physical         228 MB
           Paged Virtual          234 MB
           Paged Limit            368 MB
           Nonpaged                44 MB
           Nonpaged Limit         262 MB

The Paged Physical and Paged Virtual were each up about 110 MB from what I'm seeing now (with pretty much the same things running, but without the test case).


       

(In reply to Patrick McManus from comment #81)
> 
> I have a build at
> http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mcmanus@ducksong.
> com-5cfe77828240/try-win32/ that I am hoping you can try out and send the
> http log for.
>
Comment 83 Patrick McManus [:mcmanus] 2011-10-18 07:13:53 PDT
Dave, you're a lifesaver. We'll get it figured out if we have to bludgeon it into submission.

(In reply to Dave Jordan from comment #82)
> Created attachment 567733 [details]
> Log using new build
> 
> I've attached the first 50,000 lines of the log generated using the build
> below.  It seemed to fail in the same way.
> 

Thanks. The pre-test reported all 550 sockets as usable (which isn't true for you), so I would expect it to fail in the same way. grumble.

I can update the pre-test to poll for R|W which is what your real loop is doing when it fails. Maybe that will detect it. If not, then it probably requires the sockets to be connected which we probably can do with localhost or something, but I'd rather keep as a backup plan for now as it seems like it could have complications.

I'll update to the R|W version and beg you to test it when its built :)

>
>            Nonpaged                44 MB
>            Nonpaged Limit         262 MB
>

Thanks for this - that pretty much rules that out. (when you shrunk the send buffer and didn't get anywhere it was consistent with this.)
Comment 84 Patrick McManus [:mcmanus] 2011-10-18 08:58:27 PDT
(In reply to Patrick McManus from comment #83)

> 
> I'll update to the R|W version and beg you to test it when its built :)

That new version is at:

http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mcmanus@ducksong.com-d71f7bee7d89/try-win32/

pretty please?

If that doesn't detect your limit I think I'll go to some kind of dynamic backoff when the poll error is detected. That's actually more invasive than it sounds, so I'd like to give this pre-test detection code one more shot. Thanks.
Comment 85 Dave Jordan 2011-10-18 12:09:17 PDT
Created attachment 567829 [details]
Updated log file

Hmmm.  This one worked - no hang!  I've attached the first 45,000 lines from log file (The system wouldn't let me attach the entire file - 18MB) for the session.  Hope this is what you've been looking for!

Dave

> 
> I'll update to the R|W version and beg you to test it when its built :)

That new version is at:

http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mcmanus@ducksong.com-d71f7bee7d89/try-win32/

pretty please?

If that doesn't detect your limit I think I'll go to some kind of dynamic backoff when the poll error is detected. That's actually more invasive than it sounds, so I'd like to give this pre-test detection code one more shot. Thanks.
Comment 86 Patrick McManus [:mcmanus] 2011-10-18 12:52:15 PDT
(In reply to Dave Jordan from comment #85)

> 
> Hmmm.  This one worked - no hang! 

Awesome. The patch dynamically figured out you couldn't handle the full socket pool so it limited you to 50 (which tested out ok).. I bet you could have handled 63 or 64 but it tests at 50+32, 50+64, 50+96, etc.. it will never go below the value of FF 6.

The same patch also lets my windows machines go to 550 sockets. (of which the http 256 connection config option further limits it), which is exactly what we want to see.

So that works for your problem. What we don't know is if you have the same problem as the other reporters.

Duncan Akuma, trotsky76@yahoo.com, robertcharlesrussell@yahoo.com, Chris Forbes, northtech@yandex.com, rob64rock@yahoo.com, fifiala@ymail.com,  Fanolian+bugzilla@gmail.com, wymette@aim.com, syskin2@gmail.com :

can some of you try the build in comment 85 and report on how it works for you?
Comment 87 Sheila Mooney 2011-10-18 14:03:51 PDT
Is our intent to get this in for FF8? Is so, we need to get this reviewed quickly since our window for taking changes is closing.
Comment 88 Patrick McManus [:mcmanus] 2011-10-19 05:40:31 PDT
I had thought that this was viewed as a serious problem. Nobody other than Dave is willing to try the test fix and report back and provide more information?

I'm not sure I want to nominate this for Aurora or Beta without more feedback.
Comment 89 Patrick McManus [:mcmanus] 2011-10-19 05:56:21 PDT
Created attachment 568021 [details] [diff] [review]
patch 1
Comment 90 Patrick McManus [:mcmanus] 2011-10-19 06:18:23 PDT
Created attachment 568025 [details]
patch 2
Comment 91 Jason Duell [:jduell] (needinfo me) 2011-10-20 00:17:56 PDT
Comment on attachment 568025 [details]
patch 2

Great work tracking this issue down, Patrick.  I hope we can get more users who've had issues to try your build out--I'll ping a couple of them.

The basic idea in the patch is good.  There are a few issues.

>+            // Allocate
>+            struct PRPollDesc pfd[SOCKET_LIMIT_TARGET];
>+            PRUint32 numAllocated = 0;
>+            

Nix superflous whitespace on blank line (I see this in a lot of your code--looks like your editor leaves spaces in for blank line when autoindenting?)


>+            NS_ABORT_IF_FALSE(SOCKET_LIMIT_MIN >= 32U,
>+                              "#defined socket_limit_min risks underflow");

What do you mean by underflow here?  Just "really bad performance"?  If you get more specific, that'd be swell.


>+            while (gMaxCount <= numAllocated) {
>+                PRInt32 rv = PR_Poll(pfd, gMaxCount, PR_MillisecondsToInterval(0));
>+
>+                SOCKET_LOG(("Socket Limit Test poll() size=%d rv=%d\n",
>+                            gMaxCount, rv));
>+
>+                if (rv >= 0)
>+                    break;
>+
>+                SOCKET_LOG(("Socket Limit Test poll confirmationSize=%d rv=%d error=%d\n",
>+                            gMaxCount, rv, PR_GetError()));
>+
>+                gMaxCount -= 32;
>+                if (gMaxCount <= SOCKET_LIMIT_MIN) {
>+                    gMaxCount = SOCKET_LIMIT_MIN;
>+                    break;
>+                }
>+            }

Let's use a sequence that 1) descends faster with large numbers, and 2) hits a couple of magic numbers we've seen: 64 and 48.  Something like this perl script:


    #!/usr/bin/perl

    $gMaxCount = 550;
    $delta = 100;

    while ($gMaxCount > 0) {
      print "$gMaxCount ($delta)\n";
      $gMaxCount -= $delta;

      $delta = 32 if ($gMaxCount < 200);
      $delta = 30 if ($gMaxCount < 150); // just so we hit 64
      $delta = 8 if ($gMaxCount < 100);
    }

That gives us this sequence:
    550 (100)
    450 (100)
    350 (100)
    250 (100)
    150 (32)
    118 (30)
    88 (8)
    80 (8)
    72 (8)
    64 (8)
    56 (8)
    48 (8)
    ...

I wonder if we should set SOCKET_LIMIT_MIN to 48, since we've seen at least one user seems to find that's the magic number to not see this bug happen?  We don't really have anything but anecdotal data :(

My main issue with the existing code (not your patch per se, but seems we ought to fix) is that is doesn't look like HTTP leaves any wiggle room for non-socket FDs if we have a low gMaxCount.  AFAICT we init nsHttpHandler.mMaxConnections to 24 in the constructor, then read in whatever value is set for http.max-connections, clamping it to nsSocketTransportService::gMaxCount:

  http://mxr.mozilla.org/mozilla-central/source/netwerk/protocol/http/nsHttpHandler.cpp#844

We should really only ever take a % of the total FDs available, right?  How badly do we behave if we try to open 64 (or whatever's the max) HTTP cxns while we have some FTP cxns open?  If we perform ok in that situation, then we stil have the issue of leaving enough FDs for regular files.

(Do non-socket FDs matter on windows for select/poll? If not, and we handle the FTP issue ok, then this issue is moot).
Comment 92 Jason Duell [:jduell] (needinfo me) 2011-10-20 01:03:40 PDT
Created attachment 568328 [details] [diff] [review]
Lower max HTTP cxns down to 48 for Windows only.

I've personally emailed a bunch of users to try to get more data about whether Patrick's patch fixes the issue for them.

Even if we hear back from them, at this point, I think we should land the simple, bulletproof pref change on beta and aurora.  If we're confident we've got a fix soon, we can hopefully land that on aurora, and otherwise let it bake off m-c.

I've changed the pref limit to 48 (not 30), since everyone on the newsgroups reports that that works.  I've also made the limit Windows-only, since we have no reports of problems elsewhere.
Comment 93 John Hesling [:John99] (NeedInfo me) 2011-10-20 05:00:02 PDT
Created attachment 568359 [details]
volunteers needed?

It should be easy to recruit a few more volunteers.

(In reply to Patrick McManus from comment #88)
> I had thought that this was viewed as a serious problem. Nobody other than
> Dave is willing to try the test fix and report back and provide more
> information?
> 
> I'm not sure I want to nominate this for Aurora or Beta without more
> feedback
Comment 94 Patrick McManus [:mcmanus] 2011-10-20 06:33:22 PDT
(In reply to Jason Duell (:jduell) from comment #91)


> 
> >+            NS_ABORT_IF_FALSE(SOCKET_LIMIT_MIN >= 32U,
> >+                              "#defined socket_limit_min risks underflow");
> 
> What do you mean by underflow here?  Just "really bad performance"?  If you
> get more specific, that'd be swell.

I mean underflow - nothing about performance. The test makes sure socket limit min is at least 32 because it is an unsigned int that gets decremented in blocks of 32 and could therefore underflow if it is too small. Not sure how to write that more clearly.

> 
> Let's use a sequence that 1) descends faster with large numbers, and 2) hits
> a couple of magic numbers we've seen: 64 and 48.  Something like this perl
> script:

I'm going to reject this feedback as "an equivalent suggestion the reviewer would have done if he had written the code" and I'm already confident in the code I wrote so I don't want to change it without significant confidence that the other approach is better. By all rights, and 99.9% of the time, 550 works for everyone. If it does not experimentally I don't see than any particular value that tests out successfully is better or worse than another and I don't see a reason to put faith in a magic constant.

now it's perfectly plausible that there are multiple problems that are part of this bug other than the one Dave Jordan is having. This patch doesn't claim to address the problems of folks who haven't tested it.

> I wonder if we should set SOCKET_LIMIT_MIN to 48, since we've seen at least

MIN has always been 50 (at least to 3.6 and I suspect all the way back to 1.0), this patch doesn't seem like the place to fool with that. 

> My main issue with the existing code (not your patch per se, but seems we
> ought to fix) is that is doesn't look like HTTP leaves any wiggle room for
> non-socket FDs if we have a low gMaxCount.

yes, I've complained about this before - but you make a good point that the issue is worse than before if gMaxCount is 50 and http-max conns is clamped at 50 too (because previously http-max conns would be set at 30).

The problem is actually with http. The socketprovider has an admission function, but http will hold onto stuff in its own pools. Its the long term pooling that creates the problem. We can workaround this directly in http by just clamping at gmaxcount - 8.

This patch only impacts the poll loop in socket transport service it doesn't actually limit the number of fd's available firefox-wide. There is overlap if we are concerned about exhausting all the fd's for sockets (that was the old concern) but in this bug that isn't happening - we are seeing an upper bound on the number of fd's that work in one select() call. So there shouldn't be any interaction with parts of the system using descriptors independent of sockettransport.


> (Do non-socket FDs matter on windows for select/poll? 

no
Comment 95 Patrick McManus [:mcmanus] 2011-10-20 07:05:53 PDT
Created attachment 568382 [details] [diff] [review]
patch 3
Comment 96 Jason Duell [:jduell] (needinfo me) 2011-10-20 20:10:54 PDT
Comment on attachment 568382 [details] [diff] [review]
patch 3

Review of attachment 568382 [details] [diff] [review]:
-----------------------------------------------------------------

re: magic numbers: comment 78 mentions that the default max socket count is 64, and that LSPs might be limiting it to that.  So I figured that's a good number to try in PR_Poll.  IIUC your patch will try 70, then drop below SOCKET_LIM_MIN, resulting in them getting a max socket count of 50, instead of 64.  Is that right?  I suppose this is rare, so not a huge deal.

The changes to keep 8 fd's reserved for non-socket use seems good. Thanks.

Alas, I've heard back from another user who tried your tryserver build, and he still sees a hang :(   But I'm guessing we can get him to try out more fixes.  Do you want to land this in the meantime, or should try a few more ideas first?

So this patch basically tests 1) whether we can allocate N sockets, and 2) whether PR_Poll will barf if you pass it that many sockets.   Given comment 78 ("The typical symptom is that they ignore sockets beyond the 64th in larger fd_set structures"), am I correct to guess that the next step might be make the 0th socket listen to some port, have only the Nth socket connect to it, then do a PR_Poll with only PR_POLL_WRITE set, and if we get a timeout or error we can assume that Nth socket is being ignored (and then do a binary search or something to see what the highest supported fd # is)?
Comment 97 Patrick McManus [:mcmanus] 2011-10-20 21:41:13 PDT
(In reply to Jason Duell (:jduell) from comment #96)
> 
> Alas, I've heard back from another user who tried your tryserver build, and
> he still sees a hang :(   But I'm guessing we can get him to try out more
> fixes.  Do you want to land this in the meantime, or should try a few more
> ideas first?

I can't say I'm surprised this feels like there can be more than one bad interaction afoot.

> am I correct to guess that the next step might
> be make the 0th socket listen to some port, have only the Nth socket connect
> to it, then do a PR_Poll with only PR_POLL_WRITE set, and if we get a
> timeout or error we can assume that Nth socket is being ignored (and then do
> a binary search or something to see what the highest supported fd # is)?

I think we should just get a HTTP log from your new use case. It is possibly (likely even) that she isn't seeing PR_Poll() errors at all. (I was pretty surprised that is what dave jordan's log showed). Also add-on, dll, etc...

meanwhile I'll land this on nightly tomorrow, because it fixes at least one problem.
Comment 98 Suzette 2011-10-20 22:59:48 PDT
Fix this please
Comment 99 Patrick McManus [:mcmanus] 2011-10-21 05:59:38 PDT
(In reply to Suzette from comment #98)
> Fix this please

Suzette - we have a partial fix to this problem but there seems to be further issues that the developers cannot yet reproduce. If you can reproduce the bug, you can help us get this resolved by doing answering these questions: (and help would be greatfully appreciated)

1] at what level of max-connections do you experience a problem?

2] using the default configuration can you load http://www.ducksong.com/mozilla/692260/index.html consistently without a problem?

3] Can you report on whether the try build in comment 84 works better for you?

4] please provide a copy of your http logs showing the problem: (even better if it is with the url from #2) https://developer.mozilla.org/en/HTTP_Logging

5] Please attach your DLL and Process Explorer information as described here http://forums.mozillazine.org/posting.php?mode=quote&f=38&p=11331581&sid=526f7c9fcf45a7b2f4f10d406e3d309d
Comment 100 Patrick McManus [:mcmanus] 2011-10-21 06:01:30 PDT
Comment on attachment 568328 [details] [diff] [review]
Lower max HTTP cxns down to 48 for Windows only.

I think it is time to do the stopgap solution - but lets keep working on the real issue. This is an important scalability point.
Comment 101 Patrick McManus [:mcmanus] 2011-10-21 11:57:12 PDT
patch 3 pushed to inbound

https://hg.mozilla.org/integration/mozilla-inbound/rev/73512caf4647

when that lands on mozilla-central please don't mark this bug fixed as that patch is just a partial fix.
Comment 102 Jason Duell [:jduell] (needinfo me) 2011-10-21 12:30:55 PDT
Comment on attachment 568328 [details] [diff] [review]
Lower max HTTP cxns down to 48 for Windows only.

This is same idea as patch already approved for aurora/beta, just limits the patch to windows (no need to reduce perf on platforms that aren't affected) and bumps pref to 48 as that's been a safe workaround for all users we've seen so far.
Comment 103 Jesse Ruderman 2011-10-21 20:52:54 PDT
> NS_ABORT_IF_FALSE(SOCKET_LIMIT_MIN >= 32U,
>   #defined socket_limit_min risks underflow");

This could be a PR_STATIC_ASSERT.
Comment 104 Marco Bonardo [::mak] 2011-10-22 00:36:04 PDT
backed out for Ts regression
https://hg.mozilla.org/integration/mozilla-inbound/rev/01d0d7a3e4f7

Graph is showing a clear Ts, TsPaint and TsDirty regression on XP and Win7, not sure if that was expected, I backed out to be on the safe side.
I'll let you know if this brings numbers back to previous values.

http://graphs-new.mozilla.org/graph.html#tests=[[16,131,1],[16,131,12]]&sel=1319201493723.6162,1319249252838.0073&displayrange=7&datatype=running
Comment 105 Dão Gottwald [:dao] 2011-10-22 02:14:01 PDT
Patrick, you reset the tracking flag in comment 56...
Comment 106 Marco Bonardo [::mak] 2011-10-22 03:58:29 PDT
Ts numbers are back to previous values, so it's confirmed this was the increase culprit.
Comment 107 Patrick McManus [:mcmanus] 2011-10-22 05:37:51 PDT
(In reply to Marco Bonardo [:mak] from comment #104)
> backed out for Ts regression
> https://hg.mozilla.org/integration/mozilla-inbound/rev/01d0d7a3e4f7
> 
> Graph is showing a clear Ts, TsPaint and TsDirty regression on XP and Win7,
> not sure if that was expected, I backed out to be on the safe side.
> I'll let you know if this brings numbers back to previous values.
> 
> http://graphs-new.mozilla.org/graph.html#tests=[[16,131,1],[16,131,
> 12]]&sel=1319201493723.6162,1319249252838.
> 0073&displayrange=7&datatype=running

1] this patch adds a startup test, so some small impact is expected. Looking at the graphs though it is more than expected (or I'm reading it wrong) so I'll look into that and see. It can probably be done on-demand instead of at startup, though that will complicate things considerably.

3] What do I select on the try syntax builder to get the minimal "Ts, TsPaint and TsDirty" tests that match your graph?

The good news is that 2 people have confirmed that this fixes their issue and the 1 reporter who has issues even with it sees some stalls instead of hangs and has non-standard pipelining turned on - so I suspect he is seeing  head of line blocking issues instead of anything to do with this bug. (still investigating that).
Comment 108 Marco Bonardo [::mak] 2011-10-24 08:02:50 PDT
(In reply to Patrick McManus from comment #107)
> 1] this patch adds a startup test, so some small impact is expected. Looking
> at the graphs though it is more than expected (or I'm reading it wrong) so
> I'll look into that and see. It can probably be done on-demand instead of at
> startup, though that will complicate things considerably.

Depending on loss and gain, drivers may even accept the regression if it's needed to avoid worse issues, I can't tell though.

> 3] What do I select on the try syntax builder to get the minimal "Ts,
> TsPaint and TsDirty" tests that match your graph?

"dirty", "paint" and "chrome" Talos suites should give you all Ts tests.
Comment 109 Patrick McManus [:mcmanus] 2011-10-24 09:09:22 PDT
Created attachment 569083 [details] [diff] [review]
patch 4

To avoid the Ts hit, do the active probing only when we hit 30 active connections for the first time. I used 30 (instead of 48, 50, 64) because it is the historical-never-had-a-problem http limit.

So it will only kick in when things are really busy anyhow - a few milliseconds won't be felt in the middle of that frenzy. It does complicate the code a bit.
Comment 110 Asa Dotzler [:asa] 2011-10-24 10:54:06 PDT
Comment on attachment 568328 [details] [diff] [review]
Lower max HTTP cxns down to 48 for Windows only.

carrying approval forward to new patch that ifdefs this for windows only instead of reverting all platforms.
Comment 111 juan becerra [:juanb] 2011-10-24 14:55:27 PDT
I may be running into this problem at home. I recently dusted off an old router after contracting new internet service, and I've noticed both Fx and Chrome will stop being able to connect to a site (not hanging) and power-cycling the router fixes it. I'll test the tryserver builds here and see if there's a difference.
Comment 112 Jason Duell [:jduell] (needinfo me) 2011-10-24 18:53:15 PDT
Landed the windows workaround as bug 696989.

This bug is now just for the proper fix.
Comment 113 Jason Duell [:jduell] (needinfo me) 2011-10-24 20:05:27 PDT
Comment on attachment 569083 [details] [diff] [review]
patch 4

Review of attachment 569083 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good.

::: netwerk/base/src/nsSocketTransportService2.cpp
@@ +724,5 @@
> +    //  windows systems have troubles with the higher limit, so actively probe a
> +    // limit the first time we exceed 30.
> +    if (mActiveCount > 30)
> +        ProbeMaxCount();
> +

#ifdef XP_WIN around if test, and put definition of ProbeMaxCount within an ifdef too, and we can avoid overhead and executable size where we don't need it? Could also test "&& !mProbedMaxCount" to skip function call.  Not a big deal.

@@ +894,5 @@
> +
> +        SOCKET_LOG(("Socket Limit Test poll confirmationSize=%d rv=%d error=%d\n",
> +                    gMaxCount, rv, PR_GetError()));
> +
> +        PR_STATIC_ASSERT(SOCKET_LIMIT_MIN >= 32U);

Put STATIC_ASSERT outside loop--invariant.
Comment 114 Patrick McManus [:mcmanus] 2011-10-25 08:46:41 PDT
landed the on-demand version of the patch

https://hg.mozilla.org/integration/mozilla-inbound/rev/a42104b71190
Comment 115 Ed Morley [:emorley] 2011-10-25 18:04:02 PDT
https://hg.mozilla.org/mozilla-central/rev/a42104b71190
Comment 116 christian 2011-10-25 21:52:32 PDT
---------------------------------[ Triage Comment ]---------------------------------

Marking this as tracking for Firefox 10 to make sure the fix works and isn't later backed out due to issues.

Not tracking for other Firefox versions as they are covered by the stopgap in bug 696989.
Comment 117 dindog 2011-10-27 03:21:27 PDT
this bug affected the release version of firefox, will the fixed patch land on FF7?
Comment 118 a9621818 2011-10-31 10:28:39 PDT
After increasing network.http.max-connections I also had this issue on Kubuntu 10.04. After decreasing the value, I didn't have freezes any more.
Comment 119 a9621818 2011-10-31 10:29:23 PDT
After increasing network.http.max-connections I also had this issue on Kubuntu 11.04. After decreasing the value, I didn't have freezes any more.
Comment 120 erwinvaniersel@hotmail.com 2011-11-02 01:30:47 PDT
Created attachment 571260 [details]
List of DLL's when Firefox hangs
Comment 121 :aceman 2011-11-05 19:52:45 PDT
(In reply to dindog from comment #117)
> this bug affected the release version of firefox, will the fixed patch land
> on FF7?

The bug should be fixed in Firefox 8 which will be released on 2011-11-08. That is the main patch release for Firefox 7 (in the new release strategy).
I can't say if mozilla releases any 7.0.2 because of this bug. But more probably not.
Comment 122 Paul Silaghi, QA [:pauly] 2011-11-29 02:49:53 PST
Could you please tell me how to test this?
Comment 123 :aceman 2011-11-29 04:57:35 PST
What do you wish to test?
What is your Firefox version? Go to about:config and see what is the value of network.http.max-connections preference.
Comment 124 Paul Silaghi, QA [:pauly] 2011-11-29 05:24:40 PST
(In reply to :aceman from comment #123)
> What do you wish to test?
> What is your Firefox version? Go to about:config and see what is the value
> of network.http.max-connections preference.

This bug is marked as resolved fixed so it needs to be verified. I need some exactly steps in order to reproduce the issue. I'll test this on any version of Firefox is necessary.
Comment 125 :aceman 2011-11-29 05:38:51 PST
This is a hard bug. It was only observed by a fraction of users. I think it is not precisely known why their setup hanged with this setting (bug) and how to reproduce it. If you were not one of them before (didn't see the bug with the setting set to 256) you can't see any difference. So you can't verify if this was really fixed.
Comment 126 Paul Silaghi, QA [:pauly] 2011-11-30 00:55:24 PST
based on comment 125 setting the whiteboard to [qa?]
Comment 127 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-30 17:33:16 PST
(In reply to Paul Silaghi [QA] from comment #126)
> based on comment 125 setting the whiteboard to [qa?]

Actually, this should be qa-. There is no way QA can verify this fix without some concrete indication of a set-up that causes this bug. We will leave it to someone who was able to reproduce this issue before to handle the verification of the fix.
Comment 128 Alex Keybl [:akeybl] 2012-01-17 13:34:15 PST
We believe this is fixed in FF10. Marking as such.
Comment 129 Jeff Quigley 2012-06-08 18:06:30 PDT
This is fixed?  I've been seeing this problem fairly steadily for years now.  I let Firefox update itself when it wants, and now I'm up to 13.0.  I last saw this problem, with that version, today.  In fact it suddenly returned the last time Firefox updated; for a while before that I'd been using a version of the 256->48 fix, which seemed to work pretty well for me.  I don't really understand why it stopped working then.  I was using something other than 48 actually--I think it was 32 or 24 or something.  Now I've reset Firefox and switched to 48, and the browser is working fairly well again, though I'm not certain the problem is fully gone at 48.

Hm but it says RESOLVED FIXED up there.  Are y'all still interested in this?  I'd be more than glad to do a little RESOLVING and FIXING myself, by switching to Chrome, but I have a job that requires me to use Firefox.  Hence years of intermittent struggle.  :(  So can we get this fixed already?
Comment 130 Patrick McManus [:mcmanus] 2012-06-08 19:28:22 PDT
Its marked fixed because we're not aware of anyone with this problem, until now :)

Can you load a clean profile (or at least reset that to 256), and start firefox with http logging https://developer.mozilla.org/en/HTTP_Logging to generate the error and then upload the log. We can triage that.
Comment 131 Jeff Quigley 2012-06-09 11:04:14 PDT
Created attachment 631680 [details]
log 1 by Jeff Quigley from reproducing this problem on XP with Firefox 13.0; see comments

https://bugzilla.mozilla.org/show_bug.cgi?id=692260#c130
Comment 132 Jeff Quigley 2012-06-09 11:23:01 PDT
Huh, that file submission procedure didn't quite go as I expected.  That's supposed to be a RAR file.  The actual log is about 400 MB large.

A correction:  I didn't actually experience this bug for years (I realized, after further thought); it was more like months.  Maybe one year, maybe less.

The bug was easy to reproduce.  I switched the HTTP max-connections setting to its default (256).  I opened three tabs to three random-ish web pages that looked to have lots of clutter and **** on them; it doesn't seem to matter all that much which sites they are, but the particular three I used here were:
http://www.ghirardelli.com/about-ghirardelli
http://www.urbandictionary.com/popular.php?character=S
http://www.gilt.com/sale/women?variant_regwall=current&pkey=womendisplaymisc&opaid=akamai&utm_medium=paid%20display&utm_source=akamai&utm_campaign=GS:Women:Display:akamai&utm_content=GS:Women:Display:akamai:acquisitions
I switched through the three tabs over and over, clicking one random link on each page's top menu bar as I passed.  In general, a page would finish loading before I reached it to click the next link in that tab--until the bug arose, of course.

After what felt like a minute or two, the bug became evident.  All three tabs appeared to get stuck in the process of loading things.  Firefox remained responsive, but would not load anything further until it was done doing whatever it was doing.  My CPU has three cores; one of them was fully occupied during at least some of this time.  During this time I opened a couple of the links Firefox was struggling with in another browser, and they worked fine.  After what felt like a minute or so (I can try again and track the events more precisely if needed) Firefox finished whatever it was doing and I think it even loaded all the pages it had been trying to load.  I think it worked well immediately after that.
Comment 133 Jeff Quigley 2012-06-09 11:26:43 PDT
Oh and I also tried the same reproduction strategy with max-connections at 48 and after a few minutes Firefox was still working well enough so I gave up.  I still suspect the problem actually can arise with the lower setting, but I could be totally wrong about that.
Comment 134 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-12 13:13:45 PDT
Jeff, it would be ideal if you could file a new bug for this issue (https://bugzilla.mozilla.org/enter_bug.cgi?product=Core&component=Networking), and CC Patrick. Tracking multiple issues in one bug gets confusing quickly :)
Comment 135 Jeff Quigley 2012-06-12 13:53:45 PDT
Multiple issues meaning I'm adding a new one?  This bug's Description links to https://support.mozilla.org/en-US/questions/881844 which talks about a problem that sounds just like mine.  Maybe some aspect of it was fixed, but my experience seems to indicate that I'm reproducing this report's original bug, and that on the whole that bug was left unresolved.

Would making a new report for the same bug be less confusing than continuing with this one's long thread?
Comment 136 Patrick McManus [:mcmanus] 2012-06-12 18:10:31 PDT
hi jeff - new issue please. This is fixed for most instances, but you have something going on in your local environment that we haven't considered before. The trick is figuring out what it is - but I'm glad you're here to provide the data because there are no doubt more cases we don't know about.
Comment 137 Davison Long 2012-09-11 14:32:43 PDT
I'm still having this issue on the latest Firefox release (v15), and have been having the problem for years as well (using the default network.http.max-connections value).  I'm happy to post any info you'd like.  Do you still want a new issue opened?
Comment 138 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-09-11 14:39:44 PDT
I would personally recommend filing a new issue with your specific details but reference back to this bug for some context.
Comment 139 Chris 2014-07-20 02:02:46 PDT
Sadly I have the same attitude from dev's in anothe rbug report, they dopnt like to admit they have not actually fixed bugs.

I think they never did fix it, the proper fix was to undo the change they made that broke FF on windows.

Whats shocking is I have seen several code changes made without proper testing, the max connections to 256 was one such change, yet then there is barriers put in place to prevent the changes been reverted.

When code is changed and a bug is introduced unless that bug can be squashed immedaitly the proper logical path to follow is to undo the change, in other words lower the default value.  Now I have been running a lower max.http limit for a while but I cannot remember what value I was using, about a week ago I reset it to the default and since then I have had to restart firefox 5-10 times because it hangs on either "looking up domain.com" or "connecting to domain.com" on all tabs.  I have just dropped the limit now to 48 after a bit of research.

What is the habit of refusing to cancel out changes for the windows platform?  the developers seem too focused on linux and android.

No I am not making a new bug report, you have your feedback it is not fixed, you can carry on shutting your eyes and pretending you have no such feedback but it doesnt change anything.

Note You need to log in before you can comment on or make changes to this bug.